#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ccdpreviewui.ui'
**
** Created: 2012-10-09T21:53:20
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ccdpreviewui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <kcombobox.h>
#include <qframe.h>
#include <qlabel.h>
#include <qscrollbar.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CCDPreviewForm as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
CCDPreviewForm::CCDPreviewForm( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "CCDPreviewForm" );
    CCDPreviewFormLayout = new QGridLayout( this, 1, 1, 11, 6, "CCDPreviewFormLayout"); 

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 

    playB = new KPushButton( this, "playB" );
    playB->setTqminimumSize( QSize( 32, 32 ) );
    playB->setTqmaximumSize( QSize( 32, 32 ) );
    tqlayout2->addWidget( playB );

    captureB = new KPushButton( this, "captureB" );
    captureB->setTqminimumSize( QSize( 32, 32 ) );
    captureB->setTqmaximumSize( QSize( 32, 32 ) );
    tqlayout2->addWidget( captureB );

    imgFormatCombo = new KComboBox( FALSE, this, "imgFormatCombo" );
    tqlayout2->addWidget( imgFormatCombo );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer4 );

    CCDPreviewFormLayout->addLayout( tqlayout2, 0, 0 );

    videoFrame = new QFrame( this, "videoFrame" );
    videoFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, videoFrame->sizePolicy().hasHeightForWidth() ) );
    videoFrame->setTqminimumSize( QSize( 160, 120 ) );
    videoFrame->setFrameShape( QFrame::NoFrame );
    videoFrame->setFrameShadow( QFrame::Sunken );

    CCDPreviewFormLayout->addWidget( videoFrame, 2, 0 );

    tqlayout19 = new QHBoxLayout( 0, 0, 6, "tqlayout19"); 

    tqlayout7 = new QVBoxLayout( 0, 0, 6, "tqlayout7"); 

    brightnessLabel = new QLabel( this, "brightnessLabel" );
    brightnessLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, brightnessLabel->sizePolicy().hasHeightForWidth() ) );
    tqlayout7->addWidget( brightnessLabel );

    contrastLabel = new QLabel( this, "contrastLabel" );
    contrastLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, contrastLabel->sizePolicy().hasHeightForWidth() ) );
    tqlayout7->addWidget( contrastLabel );

    gammaLabel = new QLabel( this, "gammaLabel" );
    gammaLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, gammaLabel->sizePolicy().hasHeightForWidth() ) );
    tqlayout7->addWidget( gammaLabel );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    textLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );
    tqlayout7->addWidget( textLabel1_2 );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    tqlayout7->addWidget( textLabel1 );
    tqlayout19->addLayout( tqlayout7 );

    tqlayout18 = new QVBoxLayout( 0, 0, 6, "tqlayout18"); 

    brightnessBar = new QScrollBar( this, "brightnessBar" );
    brightnessBar->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, brightnessBar->sizePolicy().hasHeightForWidth() ) );
    brightnessBar->setMinValue( 0 );
    brightnessBar->setMaxValue( 200 );
    brightnessBar->setValue( 100 );
    brightnessBar->setOrientation( QScrollBar::Horizontal );
    tqlayout18->addWidget( brightnessBar );

    contrastBar = new QScrollBar( this, "contrastBar" );
    contrastBar->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, contrastBar->sizePolicy().hasHeightForWidth() ) );
    contrastBar->setMinValue( 0 );
    contrastBar->setMaxValue( 200 );
    contrastBar->setValue( 120 );
    contrastBar->setOrientation( QScrollBar::Horizontal );
    tqlayout18->addWidget( contrastBar );

    gammaBar = new QScrollBar( this, "gammaBar" );
    gammaBar->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, gammaBar->sizePolicy().hasHeightForWidth() ) );
    gammaBar->setMaxValue( 200 );
    gammaBar->setValue( 66 );
    gammaBar->setOrientation( QScrollBar::Horizontal );
    tqlayout18->addWidget( gammaBar );

    tqlayout17 = new QHBoxLayout( 0, 0, 6, "tqlayout17"); 

    tqlayout11 = new QVBoxLayout( 0, 0, 6, "tqlayout11"); 

    focalEdit = new KLineEdit( this, "focalEdit" );
    tqlayout11->addWidget( focalEdit );

    FWHMLabel = new QLabel( this, "FWHMLabel" );
    FWHMLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, FWHMLabel->sizePolicy().hasHeightForWidth() ) );
    FWHMLabel->setTqminimumSize( QSize( 100, 0 ) );
    FWHMLabel->setFrameShape( QLabel::GroupBoxPanel );
    FWHMLabel->setTqalignment( int( QLabel::AlignCenter ) );
    tqlayout11->addWidget( FWHMLabel );
    tqlayout17->addLayout( tqlayout11 );

    tqlayout8 = new QVBoxLayout( 0, 0, 6, "tqlayout8"); 

    textLabel1_3 = new QLabel( this, "textLabel1_3" );
    textLabel1_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, textLabel1_3->sizePolicy().hasHeightForWidth() ) );
    tqlayout8->addWidget( textLabel1_3 );

    textLabel3 = new QLabel( this, "textLabel3" );
    textLabel3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );
    tqlayout8->addWidget( textLabel3 );
    tqlayout17->addLayout( tqlayout8 );
    tqlayout18->addLayout( tqlayout17 );
    tqlayout19->addLayout( tqlayout18 );

    CCDPreviewFormLayout->addLayout( tqlayout19, 1, 0 );
    languageChange();
    resize( QSize(379, 453).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CCDPreviewForm::~CCDPreviewForm()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CCDPreviewForm::languageChange()
{
    setCaption( tr2i18n( "CCD Preview" ) );
    playB->setText( QString::null );
    QToolTip::add( playB, tr2i18n( "Play/Pause" ) );
    QWhatsThis::add( playB, QString::null );
    captureB->setText( QString::null );
    QToolTip::add( captureB, tr2i18n( "Capture Image" ) );
    QWhatsThis::add( captureB, QString::null );
    QToolTip::add( imgFormatCombo, tr2i18n( "Image Format" ) );
    brightnessLabel->setText( tr2i18n( "Brightness:" ) );
    contrastLabel->setText( tr2i18n( "Contrast:" ) );
    gammaLabel->setText( tr2i18n( "Gamma:" ) );
    textLabel1_2->setText( tr2i18n( "Focal length:" ) );
    QToolTip::add( textLabel1_2, QString::null );
    textLabel1->setText( tr2i18n( "FWHM:" ) );
    QToolTip::add( textLabel1, tr2i18n( "Full Width at Half Maximum" ) );
    QToolTip::add( focalEdit, tr2i18n( "Enter the telescope focal length in mm" ) );
    FWHMLabel->setText( tr2i18n( "--" ) );
    QToolTip::add( FWHMLabel, tr2i18n( "Full Width at Half Maximum" ) );
    textLabel1_3->setText( tr2i18n( "mm" ) );
    QToolTip::add( textLabel1_3, tr2i18n( "Full Width at Half Maximum" ) );
    textLabel3->setText( tr2i18n( "arcsecs" ) );
}

#include "ccdpreviewui.moc"
