#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './histdialog.ui'
**
** Created: 2012-10-09T21:53:23
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "histdialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <qframe.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a histDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
histDialog::histDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "histDialog" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setTqminimumSize( QSize( 640, 325 ) );
    setTqmaximumSize( QSize( 640, 325 ) );
    setSizeGripEnabled( TRUE );
    histDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "histDialogLayout"); 

    tqlayout17 = new QVBoxLayout( 0, 0, 6, "tqlayout17"); 

    maxSlider = new QSlider( this, "maxSlider" );
    maxSlider->setOrientation( QSlider::Horizontal );
    tqlayout17->addWidget( maxSlider );

    histFrame = new QFrame( this, "histFrame" );
    histFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, histFrame->sizePolicy().hasHeightForWidth() ) );
    histFrame->setTqminimumSize( QSize( 500, 150 ) );
    histFrame->setTqmaximumSize( QSize( 500, 150 ) );
    histFrame->setFrameShape( QFrame::NoFrame );
    histFrame->setFrameShadow( QFrame::Raised );
    tqlayout17->addWidget( histFrame );

    minSlider = new QSlider( this, "minSlider" );
    minSlider->setOrientation( QSlider::Horizontal );
    tqlayout17->addWidget( minSlider );

    histDialogLayout->addLayout( tqlayout17, 0, 0 );

    tqlayout5 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout5"); 

    maxLabel = new QLabel( this, "maxLabel" );

    tqlayout5->addWidget( maxLabel, 1, 2 );

    intensityOUT = new KLineEdit( this, "intensityOUT" );
    intensityOUT->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, intensityOUT->sizePolicy().hasHeightForWidth() ) );
    intensityOUT->setReadOnly( TRUE );

    tqlayout5->addWidget( intensityOUT, 0, 1 );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5->addItem( spacer1, 0, 4 );

    minOUT = new KLineEdit( this, "minOUT" );
    minOUT->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, minOUT->sizePolicy().hasHeightForWidth() ) );
    minOUT->setReadOnly( TRUE );

    tqlayout5->addWidget( minOUT, 0, 3 );

    intensityLabel = new QLabel( this, "intensityLabel" );

    tqlayout5->addWidget( intensityLabel, 0, 0 );

    frequencyOUT = new KLineEdit( this, "frequencyOUT" );
    frequencyOUT->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, frequencyOUT->sizePolicy().hasHeightForWidth() ) );
    frequencyOUT->setReadOnly( TRUE );

    tqlayout5->addWidget( frequencyOUT, 1, 1 );

    frequencyLabel = new QLabel( this, "frequencyLabel" );

    tqlayout5->addWidget( frequencyLabel, 1, 0 );

    minLabel = new QLabel( this, "minLabel" );

    tqlayout5->addWidget( minLabel, 0, 2 );

    maxOUT = new KLineEdit( this, "maxOUT" );
    maxOUT->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, maxOUT->sizePolicy().hasHeightForWidth() ) );
    maxOUT->setReadOnly( TRUE );

    tqlayout5->addWidget( maxOUT, 1, 3 );

    histDialogLayout->addMultiCellLayout( tqlayout5, 1, 1, 0, 1 );

    tqlayout13 = new QHBoxLayout( 0, 0, 6, "tqlayout13"); 
    Horizontal_Spacing2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout13->addItem( Horizontal_Spacing2 );

    applyB = new QPushButton( this, "applyB" );
    applyB->setAutoDefault( TRUE );
    applyB->setDefault( TRUE );
    tqlayout13->addWidget( applyB );

    cancelB = new QPushButton( this, "cancelB" );
    cancelB->setAutoDefault( TRUE );
    tqlayout13->addWidget( cancelB );

    histDialogLayout->addMultiCellLayout( tqlayout13, 2, 2, 0, 1 );

    scaleGroup = new QButtonGroup( this, "scaleGroup" );
    scaleGroup->setColumnLayout(0, Qt::Vertical );
    scaleGroup->layout()->setSpacing( 6 );
    scaleGroup->layout()->setMargin( 11 );
    scaleGroupLayout = new QVBoxLayout( scaleGroup->layout() );
    scaleGroupLayout->setAlignment( Qt::AlignTop );

    autoR = new QRadioButton( scaleGroup, "autoR" );
    autoR->setChecked( TRUE );
    scaleGroupLayout->addWidget( autoR );

    linearR = new QRadioButton( scaleGroup, "linearR" );
    scaleGroupLayout->addWidget( linearR );

    logR = new QRadioButton( scaleGroup, "logR" );
    scaleGroupLayout->addWidget( logR );

    sqrtR = new QRadioButton( scaleGroup, "sqrtR" );
    scaleGroupLayout->addWidget( sqrtR );

    histDialogLayout->addWidget( scaleGroup, 0, 1 );
    languageChange();
    resize( QSize(640, 325).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelB, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
histDialog::~histDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void histDialog::languageChange()
{
    setCaption( tr2i18n( "Histogram" ) );
    maxLabel->setText( tr2i18n( "Max." ) );
    intensityLabel->setText( tr2i18n( "Intensity:" ) );
    frequencyLabel->setText( tr2i18n( "Frequency:" ) );
    minLabel->setText( tr2i18n( "Min." ) );
    applyB->setText( tr2i18n( "&Apply" ) );
    cancelB->setText( tr2i18n( "&Close" ) );
    scaleGroup->setTitle( tr2i18n( "FITS Scale" ) );
    autoR->setText( tr2i18n( "Auto" ) );
    linearR->setText( tr2i18n( "Linear" ) );
    logR->setText( tr2i18n( "Logarithmic" ) );
    sqrtR->setText( tr2i18n( "Square root" ) );
}

#include "histdialog.moc"
