#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './indihostconf.ui'
**
** Created: 2012-10-09T21:53:24
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "indihostconf.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a INDIHostConf as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
INDIHostConf::INDIHostConf( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setProperty( "name", "INDIHostConf" );
    setProperty( "sizeGripEnabled", QVariant( TRUE, 0 ) );
    INDIHostConfLayout = new QVBoxLayout( this, 11, 6, "INDIHostConfLayout"); 

    tqlayout7 = new QHBoxLayout( 0, 0, 6, "tqlayout7"); 

    tqlayout6 = new QVBoxLayout( 0, 0, 6, "tqlayout6"); 

    textLabel1_3 = new QLabel( this, "textLabel1_3" );
    tqlayout6->addWidget( textLabel1_3 );

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout6->addWidget( textLabel1 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    tqlayout6->addWidget( textLabel1_2 );
    tqlayout7->addLayout( tqlayout6 );

    tqlayout5 = new QVBoxLayout( 0, 0, 6, "tqlayout5"); 

    nameIN = new QLineEdit( this, "nameIN" );
    tqlayout5->addWidget( nameIN );

    hostname = new QLineEdit( this, "hostname" );
    tqlayout5->addWidget( hostname );

    portnumber = new QLineEdit( this, "portnumber" );
    tqlayout5->addWidget( portnumber );
    tqlayout7->addLayout( tqlayout5 );
    INDIHostConfLayout->addLayout( tqlayout7 );
    spacer13 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    INDIHostConfLayout->addItem( spacer13 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    buttonOk->setProperty( "default", QVariant( TRUE, 0 ) );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    Layout1->addWidget( buttonCancel );
    INDIHostConfLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(437, 178).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( nameIN, hostname );
    setTabOrder( hostname, portnumber );
    setTabOrder( portnumber, buttonOk );
    setTabOrder( buttonOk, buttonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
INDIHostConf::~INDIHostConf()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void INDIHostConf::languageChange()
{
    textLabel1_3->setProperty( "text", tr2i18n( "Name:" ) );
    textLabel1->setProperty( "text", tr2i18n( "Host:" ) );
    textLabel1_2->setProperty( "text", tr2i18n( "Port:" ) );
    buttonOk->setProperty( "text", tr2i18n( "&OK" ) );
    buttonCancel->setProperty( "text", tr2i18n( "&Cancel" ) );
}

#include "indihostconf.moc"
