#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kswizardui.ui'
**
** Created: 2012-10-09T21:53:25
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kswizardui.h"

#include <qvariant.h>
#include <dmsbox.h>
#include <qpushbutton.h>
#include <qwidget.h>
#include <qlabel.h>
#include <klineedit.h>
#include <klistbox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KSWizardUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The wizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal wizard.
 */
KSWizardUI::KSWizardUI( QWidget* parent, const char* name, bool modal, WFlags fl )
    : KWizard( parent, name, modal, fl )
{
    if ( !name )
	setName( "KSWizardUI" );

    WelcomePage = new QWidget( this, "WelcomePage" );
    WelcomePageLayout = new QHBoxLayout( WelcomePage, 11, 6, "WelcomePageLayout"); 

    Banner1 = new QLabel( WelcomePage, "Banner1" );
    Banner1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, Banner1->sizePolicy().hasHeightForWidth() ) );
    Banner1->setTqminimumSize( QSize( 120, 360 ) );
    WelcomePageLayout->addWidget( Banner1 );

    tqlayout11 = new QVBoxLayout( 0, 0, 6, "tqlayout11"); 

    textLabel1 = new QLabel( WelcomePage, "textLabel1" );
    tqlayout11->addWidget( textLabel1 );

    tqlayout10 = new QHBoxLayout( 0, 0, 6, "tqlayout10"); 
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout10->addItem( spacer1 );

    textLabel2 = new QLabel( WelcomePage, "textLabel2" );
    textLabel2->setTqalignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    tqlayout10->addWidget( textLabel2 );
    tqlayout11->addLayout( tqlayout10 );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout11->addItem( spacer2 );
    WelcomePageLayout->addLayout( tqlayout11 );
    addPage( WelcomePage, QString("") );

    GeoPage = new QWidget( this, "GeoPage" );
    GeoPageLayout = new QHBoxLayout( GeoPage, 11, 6, "GeoPageLayout"); 

    Banner2 = new QLabel( GeoPage, "Banner2" );
    Banner2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, Banner2->sizePolicy().hasHeightForWidth() ) );
    Banner2->setTqminimumSize( QSize( 120, 360 ) );
    GeoPageLayout->addWidget( Banner2 );

    tqlayout17 = new QVBoxLayout( 0, 0, 6, "tqlayout17"); 

    textLabel3 = new QLabel( GeoPage, "textLabel3" );
    tqlayout17->addWidget( textLabel3 );

    tqlayout16 = new QHBoxLayout( 0, 0, 6, "tqlayout16"); 

    tqlayout15 = new QHBoxLayout( 0, 0, 6, "tqlayout15"); 
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout15->addItem( spacer5 );

    tqlayout14 = new QVBoxLayout( 0, 0, 6, "tqlayout14"); 

    textLabel4 = new QLabel( GeoPage, "textLabel4" );
    textLabel4->setTqalignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    tqlayout14->addWidget( textLabel4 );
    spacer12 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout14->addItem( spacer12 );

    tqlayout4 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout4"); 

    textLabel5_3 = new QLabel( GeoPage, "textLabel5_3" );

    tqlayout4->addWidget( textLabel5_3, 2, 0 );

    CityFilter = new KLineEdit( GeoPage, "CityFilter" );

    tqlayout4->addWidget( CityFilter, 0, 1 );

    textLabel5 = new QLabel( GeoPage, "textLabel5" );

    tqlayout4->addWidget( textLabel5, 0, 0 );

    textLabel5_2 = new QLabel( GeoPage, "textLabel5_2" );

    tqlayout4->addWidget( textLabel5_2, 1, 0 );

    CountryFilter = new KLineEdit( GeoPage, "CountryFilter" );

    tqlayout4->addWidget( CountryFilter, 2, 1 );

    ProvinceFilter = new KLineEdit( GeoPage, "ProvinceFilter" );

    tqlayout4->addWidget( ProvinceFilter, 1, 1 );
    tqlayout14->addLayout( tqlayout4 );
    spacer11 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout14->addItem( spacer11 );

    tqlayout12 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout12"); 

    LatBox = new dmsBox( GeoPage, "LatBox" );
    LatBox->setTqminimumSize( QSize( 120, 0 ) );

    tqlayout12->addWidget( LatBox, 1, 1 );

    textLabel7 = new QLabel( GeoPage, "textLabel7" );

    tqlayout12->addWidget( textLabel7, 0, 0 );

    textLabel7_2 = new QLabel( GeoPage, "textLabel7_2" );
    textLabel7_2->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );

    tqlayout12->addWidget( textLabel7_2, 1, 0 );

    LongBox = new dmsBox( GeoPage, "LongBox" );
    LongBox->setTqminimumSize( QSize( 120, 0 ) );

    tqlayout12->addWidget( LongBox, 0, 1 );
    tqlayout14->addLayout( tqlayout12 );
    tqlayout15->addLayout( tqlayout14 );
    tqlayout16->addLayout( tqlayout15 );

    CityListBox = new KListBox( GeoPage, "CityListBox" );
    CityListBox->setTqminimumSize( QSize( 180, 0 ) );
    CityListBox->setVScrollBarMode( KListBox::AlwaysOn );
    tqlayout16->addWidget( CityListBox );
    tqlayout17->addLayout( tqlayout16 );
    GeoPageLayout->addLayout( tqlayout17 );
    addPage( GeoPage, QString("") );

    TelescopePage = new QWidget( this, "TelescopePage" );
    TelescopePageLayout = new QHBoxLayout( TelescopePage, 11, 6, "TelescopePageLayout"); 

    Banner3 = new QLabel( TelescopePage, "Banner3" );
    Banner3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, Banner3->sizePolicy().hasHeightForWidth() ) );
    Banner3->setTqminimumSize( QSize( 120, 360 ) );
    TelescopePageLayout->addWidget( Banner3 );

    tqlayout18 = new QVBoxLayout( 0, 0, 6, "tqlayout18"); 

    textLabel1_2 = new QLabel( TelescopePage, "textLabel1_2" );
    tqlayout18->addWidget( textLabel1_2 );

    tqlayout17_2 = new QHBoxLayout( 0, 0, 6, "tqlayout17_2"); 
    spacer8 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout17_2->addItem( spacer8 );

    tqlayout16_2 = new QVBoxLayout( 0, 0, 6, "tqlayout16_2"); 

    textLabel2_2 = new QLabel( TelescopePage, "textLabel2_2" );
    tqlayout16_2->addWidget( textLabel2_2 );
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Fixed );
    tqlayout16_2->addItem( spacer6 );

    textLabel3_2 = new QLabel( TelescopePage, "textLabel3_2" );
    tqlayout16_2->addWidget( textLabel3_2 );
    spacer6_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Fixed );
    tqlayout16_2->addItem( spacer6_2 );

    tqlayout15_2 = new QHBoxLayout( 0, 0, 6, "tqlayout15_2"); 
    spacer10 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout15_2->addItem( spacer10 );

    TelescopeWizardButton = new KPushButton( TelescopePage, "TelescopeWizardButton" );
    tqlayout15_2->addWidget( TelescopeWizardButton );
    spacer10_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout15_2->addItem( spacer10_2 );
    tqlayout16_2->addLayout( tqlayout15_2 );
    spacer9 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout16_2->addItem( spacer9 );
    tqlayout17_2->addLayout( tqlayout16_2 );
    tqlayout18->addLayout( tqlayout17_2 );
    TelescopePageLayout->addLayout( tqlayout18 );
    addPage( TelescopePage, QString("") );

    DownLoadPage = new QWidget( this, "DownLoadPage" );
    DownLoadPageLayout = new QHBoxLayout( DownLoadPage, 11, 6, "DownLoadPageLayout"); 

    Banner4 = new QLabel( DownLoadPage, "Banner4" );
    Banner4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, Banner4->sizePolicy().hasHeightForWidth() ) );
    Banner4->setTqminimumSize( QSize( 120, 360 ) );
    DownLoadPageLayout->addWidget( Banner4 );

    tqlayout19 = new QVBoxLayout( 0, 0, 6, "tqlayout19"); 

    textLabel2_3 = new QLabel( DownLoadPage, "textLabel2_3" );
    tqlayout19->addWidget( textLabel2_3 );

    tqlayout18_2 = new QHBoxLayout( 0, 0, 6, "tqlayout18_2"); 
    spacer15 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout18_2->addItem( spacer15 );

    tqlayout17_3 = new QVBoxLayout( 0, 0, 6, "tqlayout17_3"); 

    textLabel1_3 = new QLabel( DownLoadPage, "textLabel1_3" );
    textLabel1_3->setTqalignment( int( QLabel::WordBreak | QLabel::AlignTop ) );
    tqlayout17_3->addWidget( textLabel1_3 );
    spacer16 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout17_3->addItem( spacer16 );

    tqlayout13 = new QHBoxLayout( 0, 0, 6, "tqlayout13"); 
    spacer12_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout13->addItem( spacer12_2 );

    DownloadButton = new KPushButton( DownLoadPage, "DownloadButton" );
    tqlayout13->addWidget( DownloadButton );
    spacer13 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout13->addItem( spacer13 );
    tqlayout17_3->addLayout( tqlayout13 );
    spacer14 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout17_3->addItem( spacer14 );
    tqlayout18_2->addLayout( tqlayout17_3 );
    tqlayout19->addLayout( tqlayout18_2 );
    DownLoadPageLayout->addLayout( tqlayout19 );
    addPage( DownLoadPage, QString("") );
    languageChange();
    resize( QSize(600, 492).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KSWizardUI::~KSWizardUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KSWizardUI::languageChange()
{
    Banner1->setText( QString::null );
    textLabel1->setText( tr2i18n( "<h3>Welcome to the KStars Setup Wizard</h3>" ) );
    textLabel2->setText( tr2i18n( "<p>This Wizard will help you set up some basic options to help you get the most out of KStars.  You can press <b>Finish</b> at any time to save the settings you've made so far, and skip the remaining steps.</p>\n"
"\n"
"<p>To get started, press the <b>Next</b> button.</p>" ) );
    setTitle( WelcomePage, tr2i18n( "Welcome to KStars" ) );
    Banner2->setText( QString::null );
    textLabel3->setText( tr2i18n( "<h3>Choose Your Home Location</h3>" ) );
    textLabel4->setText( tr2i18n( "<p>Select a City near your\n"
"location from the list.  You\n"
"may filter the list by the name\n"
"of your city, province, and\n"
"country.</p>\n"
"\n"
"<p>Once you have selected a City, press <b>Next</b>.</p>" ) );
    textLabel5_3->setText( tr2i18n( "Country:" ) );
    QToolTip::add( CityFilter, tr2i18n( "Filter the list by city name" ) );
    textLabel5->setText( tr2i18n( "City:" ) );
    textLabel5_2->setText( tr2i18n( "Province:" ) );
    QToolTip::add( CountryFilter, tr2i18n( "Filter the list by country name" ) );
    QToolTip::add( ProvinceFilter, tr2i18n( "Filter the list by province name" ) );
    QToolTip::add( LatBox, tr2i18n( "Displays the latitude of the selected city" ) );
    textLabel7->setText( tr2i18n( "Longitude:" ) );
    textLabel7_2->setText( tr2i18n( "Latitude:" ) );
    QToolTip::add( LongBox, tr2i18n( "Displays the longitude of the selected city" ) );
    QToolTip::add( CityListBox, tr2i18n( "The list of cities which match the present search filters." ) );
    setTitle( GeoPage, tr2i18n( "Geographic Location" ) );
    Banner3->setText( QString::null );
    textLabel1_2->setText( tr2i18n( "<h3>Setup Telescopes and Devices</h3>" ) );
    textLabel2_2->setText( tr2i18n( "KStars can control most popular computerized telescope\n"
"mounts, as well as some focusers and CCD cameras.  It\n"
"can also control telescopes remotely over the Internet." ) );
    textLabel3_2->setText( tr2i18n( "To set up your devices, press the <b>Telescope Setup\n"
"Wizard</b> button below.  When you are finished, press <b>Next</b>.\n"
"If you do not have any devices to set up, just press <b>Next</b>.\n"
"You can always set up devices later using the <b>Devices</b> menu." ) );
    TelescopeWizardButton->setText( tr2i18n( "Telescope Setup Wizard..." ) );
    QToolTip::add( TelescopeWizardButton, tr2i18n( "Launch the Telescope Setup Wizard" ) );
    QWhatsThis::add( TelescopeWizardButton, tr2i18n( "The Telescope Setup Wizard will help you configure telescopes\n"
"and other astronomical devices such as CCD cameras and focusers." ) );
    setTitle( TelescopePage, tr2i18n( "Setup Telescopes" ) );
    Banner4->setText( QString::null );
    textLabel2_3->setText( tr2i18n( "<h3>Download Extra Data Files</h3>" ) );
    textLabel1_3->setText( tr2i18n( "<p>You may now download optional data files to enhance\n"
"KStars, such as Messier object images, or a more complete\n"
"NGC/IC catalog.  Press the <b>Download Extra Data</b>\n"
"button to proceed. </p>\n"
"\n"
"<p>You can also use this tool later, by selecting\n"
"<b>Download data</b> from the <b>File</b> menu.</p>" ) );
    DownloadButton->setText( tr2i18n( "Download Extra Data" ) );
    setTitle( DownLoadPage, tr2i18n( "Download Extras" ) );
}

#include "kswizardui.moc"
