#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './opscatalogui.ui'
**
** Created: 2012-10-09T21:53:25
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "opscatalogui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qheader.h>
#include <qlistview.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "magnitudespinbox.h"

/*
 *  Constructs a OpsCatalogUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
OpsCatalogUI::OpsCatalogUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "OpsCatalogUI" );
    OpsCatalogUILayout = new QVBoxLayout( this, 11, 6, "OpsCatalogUILayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setFrameShape( QGroupBox::GroupBoxPanel );
    groupBox1->setFrameShadow( QGroupBox::Sunken );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    kcfg_ShowStars = new QCheckBox( groupBox1, "kcfg_ShowStars" );
    groupBox1Layout->addWidget( kcfg_ShowStars );

    tqlayout8 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout8"); 

    kcfg_MagLimitDrawStar = new MagnitudeSpinBox( groupBox1, "kcfg_MagLimitDrawStar" );
    kcfg_MagLimitDrawStar->setFocusPolicy( MagnitudeSpinBox::StrongFocus );

    tqlayout8->addWidget( kcfg_MagLimitDrawStar, 0, 1 );

    textLabelMag1 = new QLabel( groupBox1, "textLabelMag1" );

    tqlayout8->addWidget( textLabelMag1, 0, 2 );

    textLabelMagStarsZoomOut = new QLabel( groupBox1, "textLabelMagStarsZoomOut" );

    tqlayout8->addWidget( textLabelMagStarsZoomOut, 1, 0 );

    textLabelMag3 = new QLabel( groupBox1, "textLabelMag3" );

    tqlayout8->addWidget( textLabelMag3, 1, 2 );

    kcfg_MagLimitDrawStarZoomOut = new MagnitudeSpinBox( groupBox1, "kcfg_MagLimitDrawStarZoomOut" );
    kcfg_MagLimitDrawStarZoomOut->setFocusPolicy( MagnitudeSpinBox::StrongFocus );

    tqlayout8->addWidget( kcfg_MagLimitDrawStarZoomOut, 1, 1 );

    textLabelMagStars = new QLabel( groupBox1, "textLabelMagStars" );

    tqlayout8->addWidget( textLabelMagStars, 0, 0 );
    spacer9 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout8->addItem( spacer9, 0, 3 );
    spacer7 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout8->addItem( spacer7, 1, 3 );
    groupBox1Layout->addLayout( tqlayout8 );
    spacer8 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox1Layout->addItem( spacer8 );

    tqlayout9 = new QHBoxLayout( 0, 0, 6, "tqlayout9"); 

    textLabelMagStarInfo = new QLabel( groupBox1, "textLabelMagStarInfo" );
    tqlayout9->addWidget( textLabelMagStarInfo );

    kcfg_MagLimitDrawStarInfo = new MagnitudeSpinBox( groupBox1, "kcfg_MagLimitDrawStarInfo" );
    kcfg_MagLimitDrawStarInfo->setFocusPolicy( MagnitudeSpinBox::StrongFocus );
    tqlayout9->addWidget( kcfg_MagLimitDrawStarInfo );

    textLabelMag2 = new QLabel( groupBox1, "textLabelMag2" );
    tqlayout9->addWidget( textLabelMag2 );
    spacer10 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout9->addItem( spacer10 );
    groupBox1Layout->addLayout( tqlayout9 );

    tqlayout7 = new QHBoxLayout( 0, 0, 6, "tqlayout7"); 
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout7->addItem( spacer3 );

    kcfg_ShowStarNames = new QCheckBox( groupBox1, "kcfg_ShowStarNames" );
    tqlayout7->addWidget( kcfg_ShowStarNames );
    groupBox1Layout->addLayout( tqlayout7 );

    tqlayout8_2 = new QHBoxLayout( 0, 0, 6, "tqlayout8_2"); 
    spacer3_2 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout8_2->addItem( spacer3_2 );

    kcfg_ShowStarMagnitudes = new QCheckBox( groupBox1, "kcfg_ShowStarMagnitudes" );
    tqlayout8_2->addWidget( kcfg_ShowStarMagnitudes );
    groupBox1Layout->addLayout( tqlayout8_2 );
    OpsCatalogUILayout->addWidget( groupBox1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    tqlayout15 = new QHBoxLayout( 0, 0, 6, "tqlayout15"); 

    CatalogList = new QListView( groupBox2, "CatalogList" );
    CatalogList->addColumn( tr2i18n( "Show Catalog" ) );
    CatalogList->setVScrollBarMode( QListView::AlwaysOn );
    tqlayout15->addWidget( CatalogList );

    tqlayout14 = new QVBoxLayout( 0, 0, 6, "tqlayout14"); 

    AddCatalog = new KPushButton( groupBox2, "AddCatalog" );
    tqlayout14->addWidget( AddCatalog );

    LoadCatalog = new KPushButton( groupBox2, "LoadCatalog" );
    tqlayout14->addWidget( LoadCatalog );

    RemoveCatalog = new KPushButton( groupBox2, "RemoveCatalog" );
    RemoveCatalog->setEnabled( FALSE );
    tqlayout14->addWidget( RemoveCatalog );
    spacer10_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout14->addItem( spacer10_2 );
    tqlayout15->addLayout( tqlayout14 );
    groupBox2Layout->addLayout( tqlayout15 );

    tqlayout8_2_2 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout8_2_2"); 

    kcfg_MagLimitDrawDeepSky = new MagnitudeSpinBox( groupBox2, "kcfg_MagLimitDrawDeepSky" );
    kcfg_MagLimitDrawDeepSky->setEnabled( FALSE );
    kcfg_MagLimitDrawDeepSky->setFocusPolicy( MagnitudeSpinBox::StrongFocus );

    tqlayout8_2_2->addWidget( kcfg_MagLimitDrawDeepSky, 0, 1 );

    textLabelMag1_2 = new QLabel( groupBox2, "textLabelMag1_2" );

    tqlayout8_2_2->addWidget( textLabelMag1_2, 0, 2 );

    textLabelMagStarsZoomOut_2 = new QLabel( groupBox2, "textLabelMagStarsZoomOut_2" );

    tqlayout8_2_2->addWidget( textLabelMagStarsZoomOut_2, 1, 0 );

    textLabelMag3_2 = new QLabel( groupBox2, "textLabelMag3_2" );

    tqlayout8_2_2->addWidget( textLabelMag3_2, 1, 2 );

    kcfg_MagLimitDrawDeepSkyZoomOut = new MagnitudeSpinBox( groupBox2, "kcfg_MagLimitDrawDeepSkyZoomOut" );
    kcfg_MagLimitDrawDeepSkyZoomOut->setEnabled( FALSE );
    kcfg_MagLimitDrawDeepSkyZoomOut->setFocusPolicy( MagnitudeSpinBox::StrongFocus );

    tqlayout8_2_2->addWidget( kcfg_MagLimitDrawDeepSkyZoomOut, 1, 1 );

    textLabelMagStars_2 = new QLabel( groupBox2, "textLabelMagStars_2" );

    tqlayout8_2_2->addWidget( textLabelMagStars_2, 0, 0 );
    spacer9_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout8_2_2->addItem( spacer9_2, 0, 3 );
    spacer7_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout8_2_2->addItem( spacer7_2, 1, 3 );
    groupBox2Layout->addLayout( tqlayout8_2_2 );
    OpsCatalogUILayout->addWidget( groupBox2 );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    OpsCatalogUILayout->addItem( spacer2 );
    languageChange();
    resize( QSize(542, 586).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
OpsCatalogUI::~OpsCatalogUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void OpsCatalogUI::languageChange()
{
    setCaption( tr2i18n( "OpsCatalog" ) );
    groupBox1->setTitle( tr2i18n( "Stars" ) );
    kcfg_ShowStars->setText( tr2i18n( "Hipparcos star catalog" ) );
    QToolTip::add( kcfg_ShowStars, tr2i18n( "Draw stars?" ) );
    QWhatsThis::add( kcfg_ShowStars, tr2i18n( "When selected, stars are drawn in the skymap.  Use the other options in this box to control how many stars are drawn." ) );
    QToolTip::add( kcfg_MagLimitDrawStar, tr2i18n( "The faint limit when zoomed in" ) );
    QWhatsThis::add( kcfg_MagLimitDrawStar, tr2i18n( "Set the faintest magnitude that will be drawn at the maximum zoom level.  The faint limit varies smoothly between these two values, as the zoom level changes.\n"
"\n"
"Magnitude is a measure of brightness; the larger the number, the fainter the object.  Magnitude 6.0 is about as faint as the unaided human eye can see." ) );
    textLabelMag1->setText( tr2i18n( "mag" ) );
    textLabelMagStarsZoomOut->setText( tr2i18n( "Faint limit zoomed out:" ) );
    textLabelMag3->setText( tr2i18n( "mag" ) );
    QToolTip::add( kcfg_MagLimitDrawStarZoomOut, tr2i18n( "The faint limit when zoomed out" ) );
    QWhatsThis::add( kcfg_MagLimitDrawStarZoomOut, tr2i18n( "Set the faintest magnitude that will be drawn at the minimum zoom level.  The faint limit varies smoothly between these two values, as the zoom level changes.\n"
"\n"
"Magnitude is a measure of brightness; the larger the number, the fainter the object.  Magnitude 6.0 is about as faint as the unaided human eye can see." ) );
    textLabelMagStars->setText( tr2i18n( "Faint limit zoomed in:" ) );
    textLabelMagStarInfo->setText( tr2i18n( "For stars brighter than:" ) );
    QToolTip::add( kcfg_MagLimitDrawStarInfo, tr2i18n( "Faint limit for name labels" ) );
    QWhatsThis::add( kcfg_MagLimitDrawStarInfo, tr2i18n( "Sets the faintest <b>magnitude</b> for which name and magnitude labels may be attached to stars.  Magnitude is a measure of brightness; the larger the number, the fainter the object.  Magnitude 6.0 is about as faint as the unaided human eye can see." ) );
    textLabelMag2->setText( tr2i18n( "mag" ) );
    kcfg_ShowStarNames->setText( tr2i18n( "Show &name" ) );
    QToolTip::add( kcfg_ShowStarNames, tr2i18n( "Attach name labels to bright stars?" ) );
    QWhatsThis::add( kcfg_ShowStarNames, tr2i18n( "When checked, name labels are attached to the brighter stars." ) );
    kcfg_ShowStarMagnitudes->setText( tr2i18n( "Show ma&gnitude" ) );
    QToolTip::add( kcfg_ShowStarMagnitudes, tr2i18n( "Attach magnitude labels to bright stars?" ) );
    QWhatsThis::add( kcfg_ShowStarMagnitudes, tr2i18n( "When checked, magnitude labels are attached to the brighter stars." ) );
    groupBox2->setTitle( tr2i18n( "Deep-Sky Objects" ) );
    CatalogList->header()->setLabel( 0, tr2i18n( "Show Catalog" ) );
    QToolTip::add( CatalogList, tr2i18n( "List of other catalogs" ) );
    QWhatsThis::add( CatalogList, tr2i18n( "The list of catalogs available, other than the star catalog.  By default, the list includes the Messier, NGC and IC catalogs.  You can add your own object catalogs as well." ) );
    AddCatalog->setText( tr2i18n( "Import Catalog..." ) );
    QToolTip::add( AddCatalog, tr2i18n( "Create a custom object catalog" ) );
    QWhatsThis::add( AddCatalog, tr2i18n( "Press this button to create a custom object catalog.  Use this button instead of \"Load Catalog\", even if you already have a data file.  We will add a header to your data file to create the catalog." ) );
    LoadCatalog->setText( tr2i18n( "Load Catalog..." ) );
    QToolTip::add( LoadCatalog, tr2i18n( "Load an existing user catalog" ) );
    QWhatsThis::add( LoadCatalog, tr2i18n( "Load an existing custom catalog.  Only use this button if you have a catalog file that was created by KStars (or one that has the proper header)." ) );
    RemoveCatalog->setText( tr2i18n( "Remove Catalog" ) );
    QToolTip::add( RemoveCatalog, tr2i18n( "Remove a custom catalog" ) );
    QWhatsThis::add( RemoveCatalog, tr2i18n( "Press this button to remove a custom object catalog that you had added previously.  You cannot remove the Messier, NGC or IC catalogs with this button." ) );
    QToolTip::add( kcfg_MagLimitDrawDeepSky, tr2i18n( "The faint limit when zoomed in" ) );
    QWhatsThis::add( kcfg_MagLimitDrawDeepSky, tr2i18n( "Set the faintest magnitude that will be drawn at the maximum zoom level.  The faint limit varies smoothly between these two values, as the zoom level changes.\n"
"\n"
"Magnitude is a measure of brightness; the larger the number, the fainter the object.  Magnitude 6.0 is about as faint as the unaided human eye can see." ) );
    textLabelMag1_2->setText( tr2i18n( "mag" ) );
    textLabelMagStarsZoomOut_2->setText( tr2i18n( "Faint limit zoomed out:" ) );
    textLabelMag3_2->setText( tr2i18n( "mag" ) );
    QToolTip::add( kcfg_MagLimitDrawDeepSkyZoomOut, tr2i18n( "The faint limit when zoomed out" ) );
    QWhatsThis::add( kcfg_MagLimitDrawDeepSkyZoomOut, tr2i18n( "Set the faintest magnitude that will be drawn at the minimum zoom level.  The faint limit varies smoothly between these two values, as the zoom level changes.\n"
"\n"
"Magnitude is a measure of brightness; the larger the number, the fainter the object.  Magnitude 6.0 is about as faint as the unaided human eye can see." ) );
    textLabelMagStars_2->setText( tr2i18n( "Faint limit zoomed in:" ) );
}

#include "opscatalogui.moc"
