#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './opssolarsystemui.ui'
**
** Created: 2012-10-09T21:53:26
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "opssolarsystemui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <kpushbutton.h>
#include <qlabel.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "magnitudespinbox.h"

/*
 *  Constructs a OpsSolarSystemUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
OpsSolarSystemUI::OpsSolarSystemUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "OpsSolarSystemUI" );
    OpsSolarSystemUILayout = new QVBoxLayout( this, 11, 6, "OpsSolarSystemUILayout"); 

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    tqlayout20 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout20"); 

    kcfg_ShowSaturn = new QCheckBox( groupBox2, "kcfg_ShowSaturn" );

    tqlayout20->addWidget( kcfg_ShowSaturn, 1, 1 );

    kcfg_ShowPlanetImages = new QCheckBox( groupBox2, "kcfg_ShowPlanetImages" );

    tqlayout20->addWidget( kcfg_ShowPlanetImages, 3, 2 );

    kcfg_ShowMars = new QCheckBox( groupBox2, "kcfg_ShowMars" );

    tqlayout20->addWidget( kcfg_ShowMars, 4, 0 );

    kcfg_ShowPlanetNames = new QCheckBox( groupBox2, "kcfg_ShowPlanetNames" );

    tqlayout20->addWidget( kcfg_ShowPlanetNames, 2, 2 );

    kcfg_ShowPluto = new QCheckBox( groupBox2, "kcfg_ShowPluto" );

    tqlayout20->addWidget( kcfg_ShowPluto, 4, 1 );

    showAllPlanets = new KPushButton( groupBox2, "showAllPlanets" );

    tqlayout20->addWidget( showAllPlanets, 0, 2 );

    showNonePlanets = new KPushButton( groupBox2, "showNonePlanets" );

    tqlayout20->addWidget( showNonePlanets, 1, 2 );

    kcfg_ShowVenus = new QCheckBox( groupBox2, "kcfg_ShowVenus" );

    tqlayout20->addWidget( kcfg_ShowVenus, 3, 0 );

    kcfg_ShowSun = new QCheckBox( groupBox2, "kcfg_ShowSun" );

    tqlayout20->addWidget( kcfg_ShowSun, 0, 0 );

    kcfg_ShowJupiter = new QCheckBox( groupBox2, "kcfg_ShowJupiter" );

    tqlayout20->addWidget( kcfg_ShowJupiter, 0, 1 );

    kcfg_ShowMoon = new QCheckBox( groupBox2, "kcfg_ShowMoon" );

    tqlayout20->addWidget( kcfg_ShowMoon, 1, 0 );

    kcfg_ShowMercury = new QCheckBox( groupBox2, "kcfg_ShowMercury" );

    tqlayout20->addWidget( kcfg_ShowMercury, 2, 0 );

    kcfg_ShowNeptune = new QCheckBox( groupBox2, "kcfg_ShowNeptune" );

    tqlayout20->addWidget( kcfg_ShowNeptune, 3, 1 );
    spacer11 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout20->addItem( spacer11, 4, 2 );

    kcfg_ShowUranus = new QCheckBox( groupBox2, "kcfg_ShowUranus" );

    tqlayout20->addWidget( kcfg_ShowUranus, 2, 1 );
    groupBox2Layout->addLayout( tqlayout20 );
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox2Layout->addItem( spacer6 );
    OpsSolarSystemUILayout->addWidget( groupBox2 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    kcfg_ShowComets = new QCheckBox( groupBox3, "kcfg_ShowComets" );

    groupBox3Layout->addWidget( kcfg_ShowComets, 2, 0 );
    spacer8 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Fixed );
    groupBox3Layout->addItem( spacer8, 1, 0 );

    textLabel3 = new QLabel( groupBox3, "textLabel3" );

    groupBox3Layout->addWidget( textLabel3, 0, 1 );

    textLabel5 = new QLabel( groupBox3, "textLabel5" );

    groupBox3Layout->addWidget( textLabel5, 1, 3 );

    textLabel4 = new QLabel( groupBox3, "textLabel4" );

    groupBox3Layout->addWidget( textLabel4, 2, 3 );

    textLabel6 = new QLabel( groupBox3, "textLabel6" );

    groupBox3Layout->addWidget( textLabel6, 0, 3 );

    kcfg_ShowAsteroids = new QCheckBox( groupBox3, "kcfg_ShowAsteroids" );

    groupBox3Layout->addWidget( kcfg_ShowAsteroids, 0, 0 );

    kcfg_ShowAsteroidNames = new QCheckBox( groupBox3, "kcfg_ShowAsteroidNames" );

    groupBox3Layout->addWidget( kcfg_ShowAsteroidNames, 1, 1 );

    kcfg_MaxRadCometName = new KDoubleNumInput( groupBox3, "kcfg_MaxRadCometName" );
    kcfg_MaxRadCometName->setMaxValue( 1e+07 );
    kcfg_MaxRadCometName->setPrecision( 1 );

    groupBox3Layout->addWidget( kcfg_MaxRadCometName, 2, 2 );

    kcfg_ShowCometNames = new QCheckBox( groupBox3, "kcfg_ShowCometNames" );

    groupBox3Layout->addWidget( kcfg_ShowCometNames, 2, 1 );

    kcfg_MagLimitAsteroid = new MagnitudeSpinBox( groupBox3, "kcfg_MagLimitAsteroid" );
    kcfg_MagLimitAsteroid->setFocusPolicy( MagnitudeSpinBox::StrongFocus );

    groupBox3Layout->addWidget( kcfg_MagLimitAsteroid, 0, 2 );

    kcfg_MagLimitAsteroidName = new MagnitudeSpinBox( groupBox3, "kcfg_MagLimitAsteroidName" );
    kcfg_MagLimitAsteroidName->setFocusPolicy( MagnitudeSpinBox::StrongFocus );

    groupBox3Layout->addWidget( kcfg_MagLimitAsteroidName, 1, 2 );
    OpsSolarSystemUILayout->addWidget( groupBox3 );

    groupBox4 = new QGroupBox( this, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QVBoxLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );

    kcfg_UseAutoTrail = new QCheckBox( groupBox4, "kcfg_UseAutoTrail" );
    groupBox4Layout->addWidget( kcfg_UseAutoTrail );

    tqlayout12 = new QHBoxLayout( 0, 0, 6, "tqlayout12"); 

    kcfg_FadePlanetTrails = new QCheckBox( groupBox4, "kcfg_FadePlanetTrails" );
    tqlayout12->addWidget( kcfg_FadePlanetTrails );
    spacer9 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout12->addItem( spacer9 );

    ClearAllTrails = new KPushButton( groupBox4, "ClearAllTrails" );
    tqlayout12->addWidget( ClearAllTrails );
    groupBox4Layout->addLayout( tqlayout12 );
    OpsSolarSystemUILayout->addWidget( groupBox4 );
    languageChange();
    resize( QSize(610, 469).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( kcfg_ShowSun, kcfg_ShowMoon );
    setTabOrder( kcfg_ShowMoon, kcfg_ShowMercury );
    setTabOrder( kcfg_ShowMercury, kcfg_ShowVenus );
    setTabOrder( kcfg_ShowVenus, kcfg_ShowMars );
    setTabOrder( kcfg_ShowMars, kcfg_ShowJupiter );
    setTabOrder( kcfg_ShowJupiter, kcfg_ShowSaturn );
    setTabOrder( kcfg_ShowSaturn, kcfg_ShowUranus );
    setTabOrder( kcfg_ShowUranus, kcfg_ShowNeptune );
    setTabOrder( kcfg_ShowNeptune, kcfg_ShowPluto );
    setTabOrder( kcfg_ShowPluto, showAllPlanets );
    setTabOrder( showAllPlanets, showNonePlanets );
    setTabOrder( showNonePlanets, kcfg_ShowPlanetNames );
    setTabOrder( kcfg_ShowPlanetNames, kcfg_ShowPlanetImages );
    setTabOrder( kcfg_ShowPlanetImages, kcfg_ShowAsteroids );
    setTabOrder( kcfg_ShowAsteroids, kcfg_MagLimitAsteroid );
    setTabOrder( kcfg_MagLimitAsteroid, kcfg_ShowAsteroidNames );
    setTabOrder( kcfg_ShowAsteroidNames, kcfg_MagLimitAsteroidName );
    setTabOrder( kcfg_MagLimitAsteroidName, kcfg_ShowComets );
    setTabOrder( kcfg_ShowComets, kcfg_ShowCometNames );
    setTabOrder( kcfg_ShowCometNames, kcfg_MaxRadCometName );
    setTabOrder( kcfg_MaxRadCometName, kcfg_UseAutoTrail );
    setTabOrder( kcfg_UseAutoTrail, kcfg_FadePlanetTrails );
    setTabOrder( kcfg_FadePlanetTrails, ClearAllTrails );
}

/*
 *  Destroys the object and frees any allocated resources
 */
OpsSolarSystemUI::~OpsSolarSystemUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void OpsSolarSystemUI::languageChange()
{
    setCaption( tr2i18n( "OpsSolarSystem" ) );
    groupBox2->setTitle( tr2i18n( "Sun, Moon && Planets" ) );
    kcfg_ShowSaturn->setText( tr2i18n( "Saturn" ) );
    QToolTip::add( kcfg_ShowSaturn, tr2i18n( "Draw Saturn?" ) );
    QWhatsThis::add( kcfg_ShowSaturn, tr2i18n( "If checked, Saturn will be drawn on the map." ) );
    kcfg_ShowPlanetImages->setText( tr2i18n( "Use images" ) );
    QToolTip::add( kcfg_ShowPlanetImages, tr2i18n( "Draw major bodies as images?" ) );
    QWhatsThis::add( kcfg_ShowPlanetImages, tr2i18n( "If checked, then the planets, the Sun and the Moon will be shown as bitmap images on the map" ) );
    kcfg_ShowMars->setText( tr2i18n( "Mars" ) );
    QToolTip::add( kcfg_ShowMars, tr2i18n( "Draw Mars?" ) );
    QWhatsThis::add( kcfg_ShowMars, tr2i18n( "If checked, Mars will be drawn on the map." ) );
    kcfg_ShowPlanetNames->setText( tr2i18n( "Use name labels" ) );
    QToolTip::add( kcfg_ShowPlanetNames, tr2i18n( "Attach Name labels to the major solar system bodies?" ) );
    QWhatsThis::add( kcfg_ShowPlanetNames, tr2i18n( "If checked, name labels will be attached to the planets, the Sun and the Moon" ) );
    kcfg_ShowPluto->setText( tr2i18n( "Pluto" ) );
    QToolTip::add( kcfg_ShowPluto, tr2i18n( "Draw Pluto?" ) );
    QWhatsThis::add( kcfg_ShowPluto, tr2i18n( "If checked, Pluto will be drawn on the map." ) );
    showAllPlanets->setText( tr2i18n( "Select All" ) );
    QToolTip::add( showAllPlanets, tr2i18n( "Select all major bodies" ) );
    QWhatsThis::add( showAllPlanets, tr2i18n( "Press this to select all planets, the Sun and the Moon to be drawn in the map" ) );
    showNonePlanets->setText( tr2i18n( "Select None" ) );
    QToolTip::add( showNonePlanets, tr2i18n( "Unselect all major bodies" ) );
    QWhatsThis::add( showNonePlanets, tr2i18n( "Press this button to unselect all planets, the Sun and the Moon so that they will not be drawn on the map" ) );
    kcfg_ShowVenus->setText( tr2i18n( "Venus" ) );
    QToolTip::add( kcfg_ShowVenus, tr2i18n( "Draw Venus?" ) );
    QWhatsThis::add( kcfg_ShowVenus, tr2i18n( "If checked, Venus will be drawn on the map." ) );
    kcfg_ShowSun->setText( tr2i18n( "The sun" ) );
    QToolTip::add( kcfg_ShowSun, tr2i18n( "Draw the Sun?" ) );
    QWhatsThis::add( kcfg_ShowSun, tr2i18n( "If checked, the Sun will be drawn on the map." ) );
    kcfg_ShowJupiter->setText( tr2i18n( "Jupiter" ) );
    QToolTip::add( kcfg_ShowJupiter, tr2i18n( "Draw Jupiter?" ) );
    QWhatsThis::add( kcfg_ShowJupiter, tr2i18n( "If checked, Jupiter will be drawn on the map." ) );
    kcfg_ShowMoon->setText( tr2i18n( "The moon" ) );
    QToolTip::add( kcfg_ShowMoon, tr2i18n( "Draw the Moon?" ) );
    QWhatsThis::add( kcfg_ShowMoon, tr2i18n( "If checked, the Moon will be drawn on the map." ) );
    kcfg_ShowMercury->setText( tr2i18n( "Mercury" ) );
    QToolTip::add( kcfg_ShowMercury, tr2i18n( "Draw Mercury?" ) );
    QWhatsThis::add( kcfg_ShowMercury, tr2i18n( "If checked, Mercury will be drawn on the map." ) );
    kcfg_ShowNeptune->setText( tr2i18n( "Neptune" ) );
    QToolTip::add( kcfg_ShowNeptune, tr2i18n( "Draw Neptune?" ) );
    QWhatsThis::add( kcfg_ShowNeptune, tr2i18n( "If checked, Neptune will be drawn on the map." ) );
    kcfg_ShowUranus->setText( tr2i18n( "Uranus" ) );
    QToolTip::add( kcfg_ShowUranus, tr2i18n( "Draw Uranus?" ) );
    QWhatsThis::add( kcfg_ShowUranus, tr2i18n( "If checked, Uranus will be drawn on the map." ) );
    groupBox3->setTitle( tr2i18n( "Minor Planets" ) );
    kcfg_ShowComets->setText( tr2i18n( "Comets" ) );
    QToolTip::add( kcfg_ShowComets, tr2i18n( "Draw comets?" ) );
    QWhatsThis::add( kcfg_ShowComets, tr2i18n( "If checked, comets will be drawn on the map" ) );
    textLabel3->setText( tr2i18n( "Show asteroids brighter than" ) );
    textLabel5->setText( tr2i18n( "mag" ) );
    textLabel4->setText( tr2i18n( "AU" ) );
    textLabel6->setText( tr2i18n( "mag" ) );
    kcfg_ShowAsteroids->setText( tr2i18n( "Asteroids" ) );
    QToolTip::add( kcfg_ShowAsteroids, tr2i18n( "Draw asteroids?" ) );
    QWhatsThis::add( kcfg_ShowAsteroids, tr2i18n( "If checked, asteroids will be drawn on the map" ) );
    kcfg_ShowAsteroidNames->setText( tr2i18n( "Show names of asteroids brighter than" ) );
    QToolTip::add( kcfg_ShowAsteroidNames, tr2i18n( "Attach names to bright asteroids?" ) );
    QWhatsThis::add( kcfg_ShowAsteroidNames, tr2i18n( "If checked, then name labels will be attached to bright asteroids" ) );
    QToolTip::add( kcfg_MaxRadCometName, tr2i18n( "Maximum distance for comet names" ) );
    QWhatsThis::add( kcfg_MaxRadCometName, tr2i18n( "Set the maximum distance from the Sun for a comet to have a name label, in Astronomical Units (AU).  1 AU is the distance between the Earth and the Sun, approximately 150 million km" ) );
    kcfg_ShowCometNames->setText( tr2i18n( "Show names of comets within" ) );
    QToolTip::add( kcfg_ShowCometNames, tr2i18n( "Show names of comets near the Sun" ) );
    QWhatsThis::add( kcfg_ShowCometNames, tr2i18n( "If checked, the comets near the Sun will have name labels attached.  Comets vary in brightness in their orbits, so a faint magnitude is not effective in this case." ) );
    QToolTip::add( kcfg_MagLimitAsteroid, tr2i18n( "faint limit for asteroids" ) );
    QWhatsThis::add( kcfg_MagLimitAsteroid, tr2i18n( "Set the faintest magnitude for drawing asteroids" ) );
    QToolTip::add( kcfg_MagLimitAsteroidName, tr2i18n( "Faint limit for asteroid name labels" ) );
    QWhatsThis::add( kcfg_MagLimitAsteroidName, tr2i18n( "Set the faint limit for drawing asteroid name labels" ) );
    groupBox4->setTitle( tr2i18n( "Orbital Trails" ) );
    kcfg_UseAutoTrail->setText( tr2i18n( "Always show trail when tracking a solar system body" ) );
    QToolTip::add( kcfg_UseAutoTrail, tr2i18n( "Auto-trail tracked bodies" ) );
    QWhatsThis::add( kcfg_UseAutoTrail, tr2i18n( "If checked then any solar system body will have a temporary trail attached while it is centered in the display." ) );
    kcfg_FadePlanetTrails->setText( tr2i18n( "Fade trails to background color" ) );
    QToolTip::add( kcfg_FadePlanetTrails, tr2i18n( "Fade trail color into the background?" ) );
    QWhatsThis::add( kcfg_FadePlanetTrails, tr2i18n( "If checked, the color of the planet trail will be blended into the background sky color." ) );
    ClearAllTrails->setText( tr2i18n( "Remove All Trails" ) );
    QToolTip::add( ClearAllTrails, tr2i18n( "Clear all orbit trails" ) );
    QWhatsThis::add( ClearAllTrails, tr2i18n( "Press this to clear all orbit trails that you may have attached to solar system bodies using the right-click popup menu." ) );
}

#include "opssolarsystemui.moc"
