#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './telescopepropui.ui'
**
** Created: 2012-10-09T21:53:27
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "telescopepropui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kpushbutton.h>
#include <klistbox.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a scopeProp as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
scopeProp::scopeProp( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "scopeProp" );
    setSizeGripEnabled( TRUE );
    scopePropLayout = new QGridLayout( this, 1, 1, 11, 6, "scopePropLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );

    scopePropLayout->addMultiCellWidget( textLabel1, 0, 0, 0, 2 );

    tqlayout12 = new QHBoxLayout( 0, 0, 6, "tqlayout12"); 

    newB = new KPushButton( this, "newB" );
    tqlayout12->addWidget( newB );

    saveB = new KPushButton( this, "saveB" );
    tqlayout12->addWidget( saveB );

    removeB = new KPushButton( this, "removeB" );
    tqlayout12->addWidget( removeB );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout12->addItem( spacer3 );

    closeB = new KPushButton( this, "closeB" );
    tqlayout12->addWidget( closeB );

    scopePropLayout->addMultiCellLayout( tqlayout12, 3, 3, 0, 2 );

    telescopeListBox = new KListBox( this, "telescopeListBox" );
    telescopeListBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, telescopeListBox->sizePolicy().hasHeightForWidth() ) );
    telescopeListBox->setTqminimumSize( QSize( 130, 0 ) );

    scopePropLayout->addMultiCellWidget( telescopeListBox, 1, 2, 0, 0 );

    tqlayout8 = new QVBoxLayout( 0, 0, 6, "tqlayout8"); 

    textLabel2 = new QLabel( this, "textLabel2" );
    tqlayout8->addWidget( textLabel2 );

    textLabel2_2_6 = new QLabel( this, "textLabel2_2_6" );
    tqlayout8->addWidget( textLabel2_2_6 );

    textLabel2_2 = new QLabel( this, "textLabel2_2" );
    tqlayout8->addWidget( textLabel2_2 );

    textLabel2_2_2 = new QLabel( this, "textLabel2_2_2" );
    tqlayout8->addWidget( textLabel2_2_2 );

    textLabel2_2_3 = new QLabel( this, "textLabel2_2_3" );
    tqlayout8->addWidget( textLabel2_2_3 );

    scopePropLayout->addLayout( tqlayout8, 1, 1 );

    tqlayout9 = new QVBoxLayout( 0, 0, 6, "tqlayout9"); 

    driverCombo = new KComboBox( FALSE, this, "driverCombo" );
    driverCombo->setEditable( TRUE );
    tqlayout9->addWidget( driverCombo );

    versionEdit = new KLineEdit( this, "versionEdit" );
    tqlayout9->addWidget( versionEdit );

    labelEdit = new KLineEdit( this, "labelEdit" );
    tqlayout9->addWidget( labelEdit );

    tqlayout5 = new QHBoxLayout( 0, 0, 6, "tqlayout5"); 

    focalEdit = new KLineEdit( this, "focalEdit" );
    tqlayout5->addWidget( focalEdit );

    textLabel2_2_4 = new QLabel( this, "textLabel2_2_4" );
    tqlayout5->addWidget( textLabel2_2_4 );
    tqlayout9->addLayout( tqlayout5 );

    tqlayout6 = new QHBoxLayout( 0, 0, 6, "tqlayout6"); 

    apertureEdit = new KLineEdit( this, "apertureEdit" );
    tqlayout6->addWidget( apertureEdit );

    textLabel2_2_5 = new QLabel( this, "textLabel2_2_5" );
    tqlayout6->addWidget( textLabel2_2_5 );
    tqlayout9->addLayout( tqlayout6 );

    scopePropLayout->addLayout( tqlayout9, 1, 2 );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    scopePropLayout->addMultiCell( spacer4, 2, 2, 1, 2 );
    languageChange();
    resize( QSize(435, 452).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
scopeProp::~scopeProp()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void scopeProp::languageChange()
{
    setCaption( tr2i18n( "Telescope Properties" ) );
    textLabel1->setText( tr2i18n( "Telescopes:" ) );
    newB->setText( tr2i18n( "&New" ) );
    saveB->setText( tr2i18n( "S&ave" ) );
    removeB->setText( tr2i18n( "Remo&ve" ) );
    closeB->setText( tr2i18n( "&Close" ) );
    textLabel2->setText( tr2i18n( "Driver:" ) );
    textLabel2_2_6->setText( tr2i18n( "Version:" ) );
    textLabel2_2->setText( tr2i18n( "Label:" ) );
    textLabel2_2_2->setText( tr2i18n( "Focal length:" ) );
    textLabel2_2_3->setText( tr2i18n( "Aperture:" ) );
    textLabel2_2_4->setText( tr2i18n( "mm" ) );
    textLabel2_2_5->setText( tr2i18n( "mm" ) );
}

#include "telescopepropui.moc"
