#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './argsettrack.ui'
**
** Created: 2012-10-09T21:50:32
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "argsettrack.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArgSetTrack as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArgSetTrack::ArgSetTrack( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setProperty( "name", "ArgSetTrack" );
    ArgSetTrackLayout = new QVBoxLayout( this, 11, 6, "ArgSetTrackLayout"); 

    tqlayout24 = new QHBoxLayout( 0, 0, 6, "tqlayout24"); 

    CheckTrack = new QCheckBox( this, "CheckTrack" );
    tqlayout24->addWidget( CheckTrack );
    spacer21 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout24->addItem( spacer21 );
    ArgSetTrackLayout->addLayout( tqlayout24 );
    spacer22 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ArgSetTrackLayout->addItem( spacer22 );
    languageChange();
    resize( QSize(274, 61).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArgSetTrack::~ArgSetTrack()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArgSetTrack::languageChange()
{
    CheckTrack->setProperty( "text", tr2i18n( "Track" ) );
    QToolTip::add( CheckTrack, tr2i18n( "Toggle Tracking on/off" ) );
    QWhatsThis::add( CheckTrack, tr2i18n( "If checked, the sky will remain focused on its current position or object as time passes.  This is called \"Tracking\".  Note that tracking is automatically engaged whenever an object is centered at the focus point.  So, if you use \"lookToward\" with an object name, you do not need to engage tracking.  \n"
"\n"
"If unchecked, then Tracking will be forced off, even if an object has been centered,  As time passes, the sky will then appear to drift by (due to the rotation of the Earth)." ) );
}

#include "argsettrack.moc"
