#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './argwaitforkey.ui'
**
** Created: 2012-10-09T21:50:32
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "argwaitforkey.h"

#include <qvariant.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArgWaitForKey as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArgWaitForKey::ArgWaitForKey( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setProperty( "name", "ArgWaitForKey" );
    ArgWaitForKeyLayout = new QVBoxLayout( this, 11, 6, "ArgWaitForKeyLayout"); 

    tqlayout18 = new QHBoxLayout( 0, 0, 6, "tqlayout18"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout18->addWidget( textLabel1 );

    WaitKeyEdit = new KLineEdit( this, "WaitKeyEdit" );
    tqlayout18->addWidget( WaitKeyEdit );
    spacer11 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout18->addItem( spacer11 );
    ArgWaitForKeyLayout->addLayout( tqlayout18 );
    spacer12 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ArgWaitForKeyLayout->addItem( spacer12 );
    languageChange();
    resize( QSize(288, 124).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArgWaitForKey::~ArgWaitForKey()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArgWaitForKey::languageChange()
{
    textLabel1->setProperty( "text", tr2i18n( "Key:" ) );
    QToolTip::add( WaitKeyEdit, tr2i18n( "Wait for this key to be pressed" ) );
    QWhatsThis::add( WaitKeyEdit, tr2i18n( "The script execution will pause until the user presses the key specified here.  \n"
"\n"
"Only simple keys can currently be used; you cannot use modifier keys such as Ctrl or Shift.  Type \"space\" to specify the spacebar, otherwise use the key itself." ) );
}

#include "argwaitforkey.moc"
