#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './observinglistui.ui'
**
** Created: 2012-10-09T21:50:35
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "observinglistui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <qwidgetstack.h>
#include <qheader.h>
#include <klistview.h>
#include <klistbox.h>
#include <qlabel.h>
#include <ktextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ObservingListUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ObservingListUI::ObservingListUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ObservingListUI" );
    ObservingListUILayout = new QVBoxLayout( this, 11, 6, "ObservingListUILayout"); 

    tqlayout68 = new QHBoxLayout( 0, 0, 6, "tqlayout68"); 

    OpenButton = new KPushButton( this, "OpenButton" );
    OpenButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, OpenButton->sizePolicy().hasHeightForWidth() ) );
    OpenButton->setTqminimumSize( QSize( 32, 32 ) );
    OpenButton->setTqmaximumSize( QSize( 32, 32 ) );
    tqlayout68->addWidget( OpenButton );

    SaveButton = new KPushButton( this, "SaveButton" );
    SaveButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, SaveButton->sizePolicy().hasHeightForWidth() ) );
    SaveButton->setTqminimumSize( QSize( 32, 32 ) );
    SaveButton->setTqmaximumSize( QSize( 32, 32 ) );
    tqlayout68->addWidget( SaveButton );

    SaveAsButton = new KPushButton( this, "SaveAsButton" );
    SaveAsButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, SaveAsButton->sizePolicy().hasHeightForWidth() ) );
    SaveAsButton->setTqminimumSize( QSize( 32, 32 ) );
    SaveAsButton->setTqmaximumSize( QSize( 32, 32 ) );
    tqlayout68->addWidget( SaveAsButton );

    WizardButton = new KPushButton( this, "WizardButton" );
    WizardButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, WizardButton->sizePolicy().hasHeightForWidth() ) );
    WizardButton->setTqminimumSize( QSize( 32, 32 ) );
    WizardButton->setTqmaximumSize( QSize( 32, 32 ) );
    tqlayout68->addWidget( WizardButton );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout68->addItem( spacer2 );

    MiniButton = new KPushButton( this, "MiniButton" );
    MiniButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, MiniButton->sizePolicy().hasHeightForWidth() ) );
    MiniButton->setTqminimumSize( QSize( 32, 32 ) );
    MiniButton->setTqmaximumSize( QSize( 32, 32 ) );
    tqlayout68->addWidget( MiniButton );
    ObservingListUILayout->addLayout( tqlayout68 );

    tqlayout4 = new QHBoxLayout( 0, 0, 6, "tqlayout4"); 

    CenterButton = new KPushButton( this, "CenterButton" );
    CenterButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, CenterButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout4->addWidget( CenterButton );

    ScopeButton = new KPushButton( this, "ScopeButton" );
    ScopeButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, ScopeButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout4->addWidget( ScopeButton );

    DetailsButton = new KPushButton( this, "DetailsButton" );
    DetailsButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, DetailsButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout4->addWidget( DetailsButton );

    AVTButton = new KPushButton( this, "AVTButton" );
    AVTButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, AVTButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout4->addWidget( AVTButton );

    RemoveButton = new KPushButton( this, "RemoveButton" );
    RemoveButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, RemoveButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout4->addWidget( RemoveButton );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout4->addItem( spacer1 );
    ObservingListUILayout->addLayout( tqlayout4 );

    TableStack = new QWidgetStack( this, "TableStack" );
    TableStack->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 1, TableStack->sizePolicy().hasHeightForWidth() ) );

    WStackPage = new QWidget( TableStack, "WStackPage" );
    WStackPageLayout = new QVBoxLayout( WStackPage, 0, 6, "WStackPageLayout"); 

    FullTable = new KListView( WStackPage, "FullTable" );
    FullTable->addColumn( tr2i18n( "Name" ) );
    FullTable->addColumn( tr2i18n( "RA" ) );
    FullTable->addColumn( tr2i18n( "Dec" ) );
    FullTable->addColumn( tr2i18n( "Mag" ) );
    FullTable->addColumn( tr2i18n( "Type" ) );
    FullTable->setProperty( "selectionMode", "Extended" );
    FullTable->setAllColumnsShowFocus( TRUE );
    FullTable->setShowSortIndicator( TRUE );
    FullTable->setResizeMode( KListView::AllColumns );
    WStackPageLayout->addWidget( FullTable );
    TableStack->addWidget( WStackPage, 0 );

    WStackPage_2 = new QWidget( TableStack, "WStackPage_2" );
    WStackPageLayout_2 = new QVBoxLayout( WStackPage_2, 0, 6, "WStackPageLayout_2"); 

    TinyTable = new KListBox( WStackPage_2, "TinyTable" );
    TinyTable->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 4, TinyTable->sizePolicy().hasHeightForWidth() ) );
    TinyTable->setTqminimumSize( QSize( 0, 100 ) );
    WStackPageLayout_2->addWidget( TinyTable );
    TableStack->addWidget( WStackPage_2, 1 );
    ObservingListUILayout->addWidget( TableStack );

    NotesLabel = new QLabel( this, "NotesLabel" );
    NotesLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, NotesLabel->sizePolicy().hasHeightForWidth() ) );
    QFont NotesLabel_font(  NotesLabel->font() );
    NotesLabel_font.setItalic( TRUE );
    NotesLabel->setFont( NotesLabel_font ); 
    NotesLabel->setTqalignment( int( QLabel::AlignVCenter ) );
    ObservingListUILayout->addWidget( NotesLabel );

    NotesEdit = new KTextEdit( this, "NotesEdit" );
    NotesEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 1, NotesEdit->sizePolicy().hasHeightForWidth() ) );
    NotesEdit->setTqminimumSize( QSize( 0, 100 ) );
    NotesEdit->setTqmaximumSize( QSize( 32767, 160 ) );
    ObservingListUILayout->addWidget( NotesEdit );
    languageChange();
    resize( QSize(543, 506).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ObservingListUI::~ObservingListUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ObservingListUI::languageChange()
{
    setCaption( tr2i18n( "Observing List" ) );
    OpenButton->setText( QString::null );
    QToolTip::add( OpenButton, tr2i18n( "Open observing list" ) );
    QWhatsThis::add( OpenButton, tr2i18n( "Load an observing list from disk" ) );
    SaveButton->setText( QString::null );
    QToolTip::add( SaveButton, tr2i18n( "Save observing list" ) );
    QWhatsThis::add( SaveButton, tr2i18n( "Save the current observing list to disk" ) );
    SaveAsButton->setText( QString::null );
    QToolTip::add( SaveAsButton, tr2i18n( "Save observing list as..." ) );
    QWhatsThis::add( SaveAsButton, tr2i18n( "Save the current observing list to disk, specifying the filename" ) );
    WizardButton->setText( QString::null );
    QToolTip::add( WizardButton, tr2i18n( "Observing List Wizard" ) );
    QWhatsThis::add( WizardButton, tr2i18n( "The list wizard helps you construct observing lists based on filtering by object type, position on the sky, and magnitude." ) );
    MiniButton->setText( QString::null );
    QToolTip::add( MiniButton, tr2i18n( "Make window small" ) );
    QWhatsThis::add( MiniButton, tr2i18n( "This button toggles between large and small states.  The small state may be useful if you want the Observing list open while working in the main window." ) );
    CenterButton->setText( tr2i18n( "Ce&nter" ) );
    QToolTip::add( CenterButton, tr2i18n( "Center sky map on highlighted object" ) );
    QWhatsThis::add( CenterButton, tr2i18n( "Center the sky map on the highlighted object in the list" ) );
    ScopeButton->setText( tr2i18n( "Scope" ) );
    ScopeButton->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( ScopeButton, tr2i18n( "Point telescope at highlighted object" ) );
    QWhatsThis::add( ScopeButton, tr2i18n( "Point the telescope at the highlighted object in the list" ) );
    DetailsButton->setText( tr2i18n( "Details" ) );
    DetailsButton->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DetailsButton, tr2i18n( "Show details for highlighted object" ) );
    QWhatsThis::add( DetailsButton, tr2i18n( "Open the Details window for the highlighted object" ) );
    AVTButton->setText( tr2i18n( "&Alt vs Time" ) );
    QToolTip::add( AVTButton, tr2i18n( "Show altitude plot" ) );
    QWhatsThis::add( AVTButton, tr2i18n( "Open the Altitude vs. Time tool, with curves for the highlighted objects shown" ) );
    RemoveButton->setText( tr2i18n( "Remove" ) );
    QToolTip::add( RemoveButton, tr2i18n( "Remove from list" ) );
    QWhatsThis::add( RemoveButton, tr2i18n( "Remove the highlighted object(s) from the observing list" ) );
    FullTable->header()->setLabel( 0, tr2i18n( "Name" ) );
    FullTable->header()->setLabel( 1, tr2i18n( "RA" ) );
    FullTable->header()->setLabel( 2, tr2i18n( "Dec" ) );
    FullTable->header()->setLabel( 3, tr2i18n( "Mag" ) );
    FullTable->header()->setLabel( 4, tr2i18n( "Type" ) );
    QWhatsThis::add( FullTable, tr2i18n( "Table showing the current observing list.  The list can be sorted by any of the data columns" ) );
    NotesLabel->setText( tr2i18n( "observing notes for object:" ) );
    QWhatsThis::add( NotesEdit, tr2i18n( "Your observing notes for the highlighted object" ) );
}

#include "observinglistui.moc"
