#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './planetviewerui.ui'
**
** Created: 2012-10-09T21:50:33
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "planetviewerui.h"

#include <qvariant.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "timestepbox.h"
#include "libkdeedu/extdate/extdatetimeedit.h"
#include "planetviewer.h"

/*
 *  Constructs a PlanetViewerUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PlanetViewerUI::PlanetViewerUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "PlanetViewerUI" );
    PlanetViewerUILayout = new QVBoxLayout( this, 11, 6, "PlanetViewerUILayout"); 

    map = new PVPlotWidget( this, "map" );
    PlanetViewerUILayout->addWidget( map );

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 

    RunButton = new KPushButton( this, "RunButton" );
    RunButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, RunButton->sizePolicy().hasHeightForWidth() ) );
    RunButton->setTqmaximumSize( QSize( 34, 34 ) );
    tqlayout2->addWidget( RunButton );

    timeStep = new TimeStepBox( this, "timeStep" );
    tqlayout2->addWidget( timeStep );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer1 );

    dateBox = new ExtDateEdit( this, "dateBox" );
    dateBox->setEnabled( TRUE );
    tqlayout2->addWidget( dateBox );

    TodayButton = new KPushButton( this, "TodayButton" );
    tqlayout2->addWidget( TodayButton );
    PlanetViewerUILayout->addLayout( tqlayout2 );
    languageChange();
    resize( QSize(537, 560).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PlanetViewerUI::~PlanetViewerUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PlanetViewerUI::languageChange()
{
    setCaption( tr2i18n( "Planet Viewer" ) );
    RunButton->setText( QString::null );
    TodayButton->setText( tr2i18n( "Today" ) );
}

#include "planetviewerui.moc"
