#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './telescopewizard.ui'
**
** Created: 2012-10-09T21:53:27
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "telescopewizard.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qwidgetstack.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a telescopeWizard as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
telescopeWizard::telescopeWizard( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setProperty( "name", "telescopeWizard" );
    setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setProperty( "tqminimumSize", QSize( 500, 300 ) );
    setProperty( "tqmaximumSize", QSize( 800, 300 ) );
    setProperty( "sizeGripEnabled", QVariant( TRUE, 0 ) );
    telescopeWizardLayout = new QGridLayout( this, 1, 1, 0, 6, "telescopeWizardLayout"); 

    tqlayout12 = new QHBoxLayout( 0, 10, 6, "tqlayout12"); 

    helpB = new QPushButton( this, "helpB" );
    helpB->setProperty( "autoDefault", QVariant( FALSE, 0 ) );
    tqlayout12->addWidget( helpB );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout12->addItem( spacer2 );

    backB = new QPushButton( this, "backB" );
    tqlayout12->addWidget( backB );

    nextB = new QPushButton( this, "nextB" );
    nextB->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    nextB->setProperty( "default", QVariant( TRUE, 0 ) );
    tqlayout12->addWidget( nextB );

    telescopeWizardLayout->addLayout( tqlayout12, 1, 1 );

    wizardContainer = new QWidgetStack( this, "wizardContainer" );

    introPage = new QWidget( wizardContainer, "introPage" );
    introPageLayout = new QGridLayout( introPage, 1, 1, 0, 6, "introPageLayout"); 

    intoPageLabel = new QLabel( introPage, "intoPageLabel" );
    intoPageLabel->setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, intoPageLabel->sizePolicy().hasHeightForWidth() ) );
    intoPageLabel->setProperty( "tqalignment", int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    introPageLayout->addWidget( intoPageLabel, 0, 0 );
    wizardContainer->addWidget( introPage, 0 );

    modelPage = new QWidget( wizardContainer, "modelPage" );
    modelPageLayout = new QVBoxLayout( modelPage, 0, 6, "modelPageLayout"); 

    modelPageLabel = new QLabel( modelPage, "modelPageLabel" );
    modelPageLabel->setProperty( "tqalignment", int( QLabel::WordBreak | QLabel::AlignTop ) );
    modelPageLayout->addWidget( modelPageLabel );
    spacer5_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    modelPageLayout->addItem( spacer5_2 );

    tqlayout10 = new QHBoxLayout( 0, 0, 6, "tqlayout10"); 

    telescopeCombo = new QComboBox( FALSE, modelPage, "telescopeCombo" );
    tqlayout10->addWidget( telescopeCombo );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Minimum );
    tqlayout10->addItem( spacer3 );
    modelPageLayout->addLayout( tqlayout10 );
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    modelPageLayout->addItem( spacer5 );

    textLabel1 = new QLabel( modelPage, "textLabel1" );
    modelPageLayout->addWidget( textLabel1 );
    wizardContainer->addWidget( modelPage, 1 );

    telescopePage = new QWidget( wizardContainer, "telescopePage" );
    telescopePageLayout = new QGridLayout( telescopePage, 1, 1, 0, 6, "telescopePageLayout"); 

    telescopePageInfo = new QLabel( telescopePage, "telescopePageInfo" );
    telescopePageInfo->setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, telescopePageInfo->sizePolicy().hasHeightForWidth() ) );
    telescopePageInfo->setProperty( "tqalignment", int( QLabel::WordBreak | QLabel::AlignTop ) );

    telescopePageLayout->addWidget( telescopePageInfo, 0, 0 );
    wizardContainer->addWidget( telescopePage, 2 );

    localPage = new QWidget( wizardContainer, "localPage" );
    localPageLayout = new QVBoxLayout( localPage, 0, 6, "localPageLayout"); 

    localPageLabel = new QLabel( localPage, "localPageLabel" );
    localPageLabel->setProperty( "tqalignment", int( QLabel::WordBreak | QLabel::AlignTop ) );
    localPageLayout->addWidget( localPageLabel );
    spacer4_2_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    localPageLayout->addItem( spacer4_2_2 );

    tqlayout14 = new QHBoxLayout( 0, 0, 6, "tqlayout14"); 

    tqlayout13 = new QVBoxLayout( 0, 0, 6, "tqlayout13"); 

    tqlayout6 = new QVBoxLayout( 0, 0, 6, "tqlayout6"); 

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 

    timeLabel = new QLabel( localPage, "timeLabel" );
    tqlayout2->addWidget( timeLabel );

    timeOut = new QLabel( localPage, "timeOut" );
    QFont timeOut_font(  timeOut->font() );
    timeOut_font.setBold( TRUE );
    timeOut->setFont( timeOut_font ); 
    tqlayout2->addWidget( timeOut );
    tqlayout6->addLayout( tqlayout2 );

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 

    dateLabel = new QLabel( localPage, "dateLabel" );
    tqlayout3->addWidget( dateLabel );

    dateOut = new QLabel( localPage, "dateOut" );
    QFont dateOut_font(  dateOut->font() );
    dateOut_font.setBold( TRUE );
    dateOut->setFont( dateOut_font ); 
    tqlayout3->addWidget( dateOut );
    tqlayout6->addLayout( tqlayout3 );
    tqlayout13->addLayout( tqlayout6 );

    tqlayout4 = new QHBoxLayout( 0, 0, 6, "tqlayout4"); 

    locationLabel = new QLabel( localPage, "locationLabel" );
    tqlayout4->addWidget( locationLabel );

    locationOut = new QLabel( localPage, "locationOut" );
    QFont locationOut_font(  locationOut->font() );
    locationOut_font.setBold( TRUE );
    locationOut->setFont( locationOut_font ); 
    tqlayout4->addWidget( locationOut );
    tqlayout13->addLayout( tqlayout4 );
    tqlayout14->addLayout( tqlayout13 );

    tqlayout11 = new QVBoxLayout( 0, 0, 6, "tqlayout11"); 

    setTimeB = new QPushButton( localPage, "setTimeB" );
    tqlayout11->addWidget( setTimeB );

    setLocationB = new QPushButton( localPage, "setLocationB" );
    tqlayout11->addWidget( setLocationB );
    tqlayout14->addLayout( tqlayout11 );
    localPageLayout->addLayout( tqlayout14 );
    spacer4_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    localPageLayout->addItem( spacer4_2 );
    wizardContainer->addWidget( localPage, 3 );

    portPage = new QWidget( wizardContainer, "portPage" );
    portPageLayout = new QVBoxLayout( portPage, 0, 6, "portPageLayout"); 

    portPageLabel = new QLabel( portPage, "portPageLabel" );
    portPageLabel->setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, portPageLabel->sizePolicy().hasHeightForWidth() ) );
    portPageLabel->setProperty( "tqalignment", int( QLabel::WordBreak | QLabel::AlignTop ) );
    portPageLayout->addWidget( portPageLabel );
    spacer6_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    portPageLayout->addItem( spacer6_2 );

    tqlayout17 = new QHBoxLayout( 0, 0, 6, "tqlayout17"); 

    portLabel = new QLabel( portPage, "portLabel" );
    tqlayout17->addWidget( portLabel );

    portIn = new KLineEdit( portPage, "portIn" );
    tqlayout17->addWidget( portIn );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout17->addItem( spacer4 );
    portPageLayout->addLayout( tqlayout17 );
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    portPageLayout->addItem( spacer6 );
    wizardContainer->addWidget( portPage, 4 );

    telescopeWizardLayout->addWidget( wizardContainer, 0, 1 );

    wizardPix = new QLabel( this, "wizardPix" );
    wizardPix->setProperty( "scaledContents", QVariant( TRUE, 0 ) );

    telescopeWizardLayout->addMultiCellWidget( wizardPix, 0, 1, 0, 0 );
    languageChange();
    resize( QSize(609, 300).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
telescopeWizard::~telescopeWizard()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void telescopeWizard::languageChange()
{
    setProperty( "caption", tr2i18n( "Telescope Wizard" ) );
    helpB->setProperty( "text", tr2i18n( "&Help" ) );
    backB->setProperty( "text", tr2i18n( "&Back" ) );
    nextB->setProperty( "text", tr2i18n( "&Next" ) );
    intoPageLabel->setProperty( "text", tr2i18n( "Welcome to the <b>KStars Telescope Setup Wizard!</b>\n"
"<br><br>\n"
"This Wizard will help you to connect to your telescope and control it from KStars. You will be asked to verify some basic information.\n"
"<br>\n"
"<br>You can get extended information on telescope support in KStars by pressing the <tt>help</tt> button at any point during the Wizard.\n"
"<br><br>\n"
"Please click next to continue." ) );
    modelPageLabel->setProperty( "text", tr2i18n( "<h3>1. Telescope Model</h3>\n"
"\n"
"Please select your telescope model from the list below. Click next after selecting a model." ) );
    textLabel1->setProperty( "text", tr2i18n( "<b>Tip</b>\n"
"<br>Some non-Meade telescopes support a subset of the LX200 command set. Select <tt>LX200 Generic</tt> to control such devices." ) );
    telescopePageInfo->setProperty( "text", tr2i18n( "<h3>2. Align Your Telescope</h3>\n"
"\n"
"You need to align your telescope before you can control it properly from KStars. Please refer to your telescope manual for alignment instructions.\n"
"<br><br>\n"
"After a successful alignment, connect your telescope's RS232 interface to your computer's serial or USB port.\n"
"<br><br><br>Click next to continue." ) );
    localPageLabel->setProperty( "text", tr2i18n( "<h3>3. Verify Local Settings</h3>\n"
"\n"
"Verify if the following time, date, and location settings are correct. If any of the settings are incorrect, you can correct them via the <tt>Set time</tt> and <tt>Set Location</tt> buttons.\n"
"" ) );
    timeLabel->setProperty( "text", tr2i18n( "<b>Time</b>" ) );
    timeOut->setProperty( "text", QString::null );
    dateLabel->setProperty( "text", tr2i18n( "<b>Date</b>" ) );
    dateOut->setProperty( "text", QString::null );
    locationLabel->setProperty( "text", tr2i18n( "<b>Location</b>" ) );
    locationOut->setProperty( "text", QString::null );
    setTimeB->setProperty( "text", tr2i18n( "Set Time..." ) );
    setLocationB->setProperty( "text", tr2i18n( "Set Location..." ) );
    portPageLabel->setProperty( "text", tr2i18n( "<h3>4. Determine Connection Port</h3>\n"
"\n"
"Enter the port number your telescope is connected to. If you only have one serial port in your computer, the port is usually <tt>/dev/ttyS0</tt>\n"
"<br><br>If you are unsure about the port number, you can leave the field empty and KStars will try to scan the ports for attached telescopes. Beware that the autoscan process might take a few minutes to complete. " ) );
    portLabel->setProperty( "text", tr2i18n( "<b>Port:</b>" ) );
}

#include "telescopewizard.moc"
