#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './thumbnailpickerui.ui'
**
** Created: 2012-10-09T21:53:27
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "thumbnailpickerui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kprogress.h>
#include <klistbox.h>
#include <kurlrequester.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ThumbnailPickerUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ThumbnailPickerUI::ThumbnailPickerUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ThumbnailPickerUI" );
    ThumbnailPickerUILayout = new QHBoxLayout( this, 4, 6, "ThumbnailPickerUILayout"); 

    tqlayout9 = new QVBoxLayout( 0, 0, 6, "tqlayout9"); 

    tqlayout8 = new QHBoxLayout( 0, 0, 6, "tqlayout8"); 

    SearchLabel = new QLabel( this, "SearchLabel" );
    tqlayout8->addWidget( SearchLabel );
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout8->addItem( spacer6 );

    SearchProgress = new KProgress( this, "SearchProgress" );
    SearchProgress->setCenterIndicator( TRUE );
    SearchProgress->setPercentageVisible( FALSE );
    tqlayout8->addWidget( SearchProgress );
    tqlayout9->addLayout( tqlayout8 );

    ImageList = new KListBox( this, "ImageList" );
    ImageList->setTqminimumSize( QSize( 300, 0 ) );
    tqlayout9->addWidget( ImageList );

    textLabel3 = new QLabel( this, "textLabel3" );
    tqlayout9->addWidget( textLabel3 );

    ImageURLBox = new KURLRequester( this, "ImageURLBox" );
    ImageURLBox->setMode( 1 );
    tqlayout9->addWidget( ImageURLBox );
    ThumbnailPickerUILayout->addLayout( tqlayout9 );

    tqlayout10 = new QVBoxLayout( 0, 0, 6, "tqlayout10"); 

    tqlayout9_2 = new QHBoxLayout( 0, 0, 6, "tqlayout9_2"); 
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout9_2->addItem( spacer5 );

    tqlayout8_2 = new QVBoxLayout( 0, 0, 6, "tqlayout8_2"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout8_2->addWidget( textLabel1 );

    CurrentImage = new QLabel( this, "CurrentImage" );
    CurrentImage->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, CurrentImage->sizePolicy().hasHeightForWidth() ) );
    CurrentImage->setTqminimumSize( QSize( 200, 200 ) );
    CurrentImage->setTqmaximumSize( QSize( 200, 200 ) );
    CurrentImage->setFrameShape( QLabel::Box );
    CurrentImage->setScaledContents( TRUE );
    tqlayout8_2->addWidget( CurrentImage );
    tqlayout9_2->addLayout( tqlayout8_2 );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout9_2->addItem( spacer4 );
    tqlayout10->addLayout( tqlayout9_2 );

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout3->addItem( spacer1 );

    tqlayout2 = new QVBoxLayout( 0, 0, 6, "tqlayout2"); 

    EditButton = new KPushButton( this, "EditButton" );
    tqlayout2->addWidget( EditButton );

    UnsetButton = new KPushButton( this, "UnsetButton" );
    tqlayout2->addWidget( UnsetButton );
    tqlayout3->addLayout( tqlayout2 );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout3->addItem( spacer2 );
    tqlayout10->addLayout( tqlayout3 );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout10->addItem( spacer3 );
    ThumbnailPickerUILayout->addLayout( tqlayout10 );
    languageChange();
    resize( QSize(593, 374).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ThumbnailPickerUI::~ThumbnailPickerUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ThumbnailPickerUI::languageChange()
{
    setCaption( tr2i18n( "Thumbnail Picker" ) );
    SearchLabel->setText( tr2i18n( "Search results:" ) );
    textLabel3->setText( tr2i18n( "Specify image location:" ) );
    ImageURLBox->setFilter( tr2i18n( "image/png image/jpeg image/gif image/tiff" ) );
    textLabel1->setText( tr2i18n( "Current thumbnail:" ) );
    EditButton->setText( tr2i18n( "Edit Ima&ge..." ) );
    UnsetButton->setText( tr2i18n( "Unset Image" ) );
}

#include "thumbnailpickerui.moc"
