#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './argchangeviewoption.ui'
**
** Created: 2012-10-09T21:50:30
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "argchangeviewoption.h"

#include <qvariant.h>
#include <kcombobox.h>
#include <qlabel.h>
#include <kpushbutton.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArgChangeViewOption as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArgChangeViewOption::ArgChangeViewOption( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setProperty( "name", "ArgChangeViewOption" );
    ArgChangeViewOptionLayout = new QVBoxLayout( this, 11, 6, "ArgChangeViewOptionLayout"); 

    tqlayout2 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout2"); 

    OptionName = new KComboBox( FALSE, this, "OptionName" );

    tqlayout2->addWidget( OptionName, 0, 1 );
    spacer23 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer23, 1, 0 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    tqlayout2->addWidget( textLabel1_2, 3, 0 );

    TreeButton = new KPushButton( this, "TreeButton" );

    tqlayout2->addWidget( TreeButton, 1, 1 );

    OptionValue = new KLineEdit( this, "OptionValue" );

    tqlayout2->addWidget( OptionValue, 3, 1 );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addMultiCell( spacer3, 2, 2, 0, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );

    tqlayout2->addWidget( textLabel1, 0, 0 );
    ArgChangeViewOptionLayout->addLayout( tqlayout2 );
    spacer24 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ArgChangeViewOptionLayout->addItem( spacer24 );
    languageChange();
    resize( QSize(260, 171).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArgChangeViewOption::~ArgChangeViewOption()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArgChangeViewOption::languageChange()
{
    QToolTip::add( OptionName, tr2i18n( "List of adjustable options" ) );
    QWhatsThis::add( OptionName, tr2i18n( "Select an option from this list to set its value.  You may also select the option using an organized Tree List using the \"Browse Tree\" button." ) );
    textLabel1_2->setProperty( "text", tr2i18n( "Value:" ) );
    TreeButton->setProperty( "text", tr2i18n( "Browse Tree" ) );
    QToolTip::add( TreeButton, tr2i18n( "Show Tree View of options" ) );
    QWhatsThis::add( TreeButton, tr2i18n( "Press this button to select a View Option from a Tree list, in which they are grouped by subject.  Also shown are a short description of each option, and the data type of the option's value (string, integer, float or boolean)." ) );
    QToolTip::add( OptionValue, tr2i18n( "value for selected option" ) );
    QWhatsThis::add( OptionValue, tr2i18n( "Set the value for the selected view option here.  Make sure the value you enter matches the data type expected by the option.  For example, the \"UseAltAz\" option expects a boolean value, so you should enter \"true\", \"false\", \"1\", or \"0\".  If you are unsure what data type is expected, examine the Tree View of options using the \"Browse Tree\" button." ) );
    textLabel1->setProperty( "text", tr2i18n( "Option:" ) );
}

#include "argchangeviewoption.moc"
