#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './argsetgeolocation.ui'
**
** Created: 2012-10-09T21:50:31
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "argsetgeolocation.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArgSetGeoLocation as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArgSetGeoLocation::ArgSetGeoLocation( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setProperty( "name", "ArgSetGeoLocation" );
    ArgSetGeoLocationLayout = new QVBoxLayout( this, 11, 6, "ArgSetGeoLocationLayout"); 

    tqlayout36 = new QHBoxLayout( 0, 0, 6, "tqlayout36"); 

    tqlayout35 = new QVBoxLayout( 0, 0, 6, "tqlayout35"); 

    tqlayout34 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout34"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    tqlayout34->addWidget( textLabel1_2, 1, 0 );

    CountryName = new KLineEdit( this, "CountryName" );

    tqlayout34->addWidget( CountryName, 2, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );

    tqlayout34->addWidget( textLabel1, 0, 0 );

    textLabel1_2_3 = new QLabel( this, "textLabel1_2_3" );

    tqlayout34->addWidget( textLabel1_2_3, 2, 0 );

    CityName = new KLineEdit( this, "CityName" );

    tqlayout34->addWidget( CityName, 0, 1 );

    ProvinceName = new KLineEdit( this, "ProvinceName" );

    tqlayout34->addWidget( ProvinceName, 1, 1 );
    tqlayout35->addLayout( tqlayout34 );

    tqlayout33 = new QHBoxLayout( 0, 0, 6, "tqlayout33"); 
    spacer23_3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout33->addItem( spacer23_3 );

    FindCityButton = new KPushButton( this, "FindCityButton" );
    tqlayout33->addWidget( FindCityButton );
    tqlayout35->addLayout( tqlayout33 );
    tqlayout36->addLayout( tqlayout35 );
    spacer23 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout36->addItem( spacer23 );
    ArgSetGeoLocationLayout->addLayout( tqlayout36 );
    spacer27 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ArgSetGeoLocationLayout->addItem( spacer27 );
    languageChange();
    resize( QSize(316, 208).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( CityName, ProvinceName );
    setTabOrder( ProvinceName, CountryName );
    setTabOrder( CountryName, FindCityButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArgSetGeoLocation::~ArgSetGeoLocation()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArgSetGeoLocation::languageChange()
{
    textLabel1_2->setProperty( "text", tr2i18n( "Province:" ) );
    QToolTip::add( CountryName, tr2i18n( "Country name" ) );
    QWhatsThis::add( CountryName, tr2i18n( "Enter the Country name for the desired location.  It might be easier to use the \"Find City\" location to choose your location from the list of predefined cities." ) );
    textLabel1->setProperty( "text", tr2i18n( "City:" ) );
    textLabel1_2_3->setProperty( "text", tr2i18n( "Country:" ) );
    QToolTip::add( CityName, tr2i18n( "City name" ) );
    QWhatsThis::add( CityName, tr2i18n( "Enter the City name for the desired location.  It might be easier to use the \"Find City\" location to choose your location from the list of predefined cities." ) );
    QToolTip::add( ProvinceName, tr2i18n( "Province name" ) );
    QWhatsThis::add( ProvinceName, tr2i18n( "Enter the Province name for the desired location.  It might be easier to use the \"Find City\" location to choose your location from the list of predefined cities." ) );
    FindCityButton->setProperty( "text", tr2i18n( "Find City" ) );
    QToolTip::add( FindCityButton, tr2i18n( "Open the Set Location tool" ) );
    QWhatsThis::add( FindCityButton, tr2i18n( "Press this button to open the Set Location dialog, which will allow you to choose a location from our list of over 2500 cities around the word.  Once a location has been selected, the City, Province and Country fields will be filled in." ) );
}

void ArgSetGeoLocation::slotFindCity()
{
    qWarning( "ArgSetGeoLocation::slotFindCity(): Not implemented yet" );
}

#include "argsetgeolocation.moc"
