#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './argsetradec.ui'
**
** Created: 2012-10-09T21:50:31
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "argsetradec.h"

#include <qvariant.h>
#include <dmsbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArgSetRaDec as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArgSetRaDec::ArgSetRaDec( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setProperty( "name", "ArgSetRaDec" );
    ArgSetRaDecLayout = new QVBoxLayout( this, 11, 6, "ArgSetRaDecLayout"); 

    tqlayout13 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout13"); 

    DecBox = new dmsBox( this, "DecBox" );
    DecBox->setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, DecBox->sizePolicy().hasHeightForWidth() ) );
    DecBox->setProperty( "focusPolicy", "StrongFocus" );

    tqlayout13->addWidget( DecBox, 1, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );

    tqlayout13->addWidget( textLabel1, 0, 0 );

    RaBox = new dmsBox( this, "RaBox" );
    RaBox->setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, RaBox->sizePolicy().hasHeightForWidth() ) );
    RaBox->setProperty( "focusPolicy", "StrongFocus" );

    tqlayout13->addWidget( RaBox, 0, 1 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    tqlayout13->addWidget( textLabel1_2, 1, 0 );
    ArgSetRaDecLayout->addLayout( tqlayout13 );
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ArgSetRaDecLayout->addItem( spacer5 );
    languageChange();
    resize( QSize(284, 96).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( RaBox, DecBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArgSetRaDec::~ArgSetRaDec()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArgSetRaDec::languageChange()
{
    QToolTip::add( DecBox, tr2i18n( "Declination" ) );
    QWhatsThis::add( DecBox, tr2i18n( "Enter the Declination coordinate to be focused on in the skymap, in degrees.  You can express the angle as a simple integer (\"45\") or floating-point (\"45.333\") value, or as space- or colon-delimited values specifying degrees, arcminutes and arcseconds (\"45:20\", \"45:20:00\", \"45:20\", \"45 20.0\", etc.).\n"
"\n"
"Declination is one of the coordinates in the Equatorial coordinate system; it measures the angle of an object North or South of the Celestial Equator.  The star Polaris, which is near the celestial north pole, has a Declination of nearly 90 degrees." ) );
    textLabel1->setProperty( "text", tr2i18n( "RA:" ) );
    QToolTip::add( RaBox, tr2i18n( "Right Ascension" ) );
    QWhatsThis::add( RaBox, tr2i18n( "Enter the Right Ascension coordinate to be focused on in the skymap, in hours.  You can express the angle as a simple integer (\"12\") or floating-point (\"12.333\") value, or as space- or colon-delimited values specifying hours, minutes and seconds (\"12:20\", \"12:20:00\", \"12:20\", \"12 20.0\", etc.).\n"
"\n"
"Right Ascension is one of the coordinates in the Equatorial coordinate system.  It measures the angle around the celestial equator from the Vernal equinox, increasing to the East.  Right Ascension (RA) is almost always expressed in Hours instead of Degrees; the Celestial Equator is divided into 24 Hours, so 1 Hour of RA is equal to 360/24=15 Degrees.  See the AstroInfo article for more details," ) );
    textLabel1_2->setProperty( "text", tr2i18n( "Dec:" ) );
}

#include "argsetradec.moc"
