#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './argswitchindi.ui'
**
** Created: 2012-10-09T21:50:36
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "argswitchindi.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArgSwitchINDI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArgSwitchINDI::ArgSwitchINDI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ArgSwitchINDI" );
    ArgSwitchINDILayout = new QVBoxLayout( this, 11, 6, "ArgSwitchINDILayout"); 

    tqlayout5 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout5"); 

    tqlayout4 = new QHBoxLayout( 0, 0, 6, "tqlayout4"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout4->addWidget( textLabel1 );

    deviceName = new KLineEdit( this, "deviceName" );
    tqlayout4->addWidget( deviceName );

    tqlayout5->addLayout( tqlayout4, 0, 0 );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5->addItem( spacer3, 1, 1 );

    INDIConnection = new QButtonGroup( this, "INDIConnection" );
    INDIConnection->setExclusive( TRUE );
    INDIConnection->setColumnLayout(0, Qt::Vertical );
    INDIConnection->layout()->setSpacing( 6 );
    INDIConnection->layout()->setMargin( 11 );
    INDIConnectionLayout = new QVBoxLayout( INDIConnection->layout() );
    INDIConnectionLayout->setAlignment( Qt::AlignTop );

    OnButton = new QRadioButton( INDIConnection, "OnButton" );
    OnButton->setChecked( TRUE );
    INDIConnectionLayout->addWidget( OnButton );

    OffButton = new QRadioButton( INDIConnection, "OffButton" );
    INDIConnectionLayout->addWidget( OffButton );

    tqlayout5->addWidget( INDIConnection, 1, 0 );
    ArgSwitchINDILayout->addLayout( tqlayout5 );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ArgSwitchINDILayout->addItem( spacer4 );
    languageChange();
    resize( QSize(237, 157).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArgSwitchINDI::~ArgSwitchINDI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArgSwitchINDI::languageChange()
{
    textLabel1->setText( tr2i18n( "Device:" ) );
    INDIConnection->setTitle( tr2i18n( "Connection" ) );
    OnButton->setText( tr2i18n( "On" ) );
    OffButton->setText( tr2i18n( "Off" ) );
}

#include "argswitchindi.moc"
