#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './argzoom.ui'
**
** Created: 2012-10-09T21:50:32
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "argzoom.h"

#include <qvariant.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArgZoom as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArgZoom::ArgZoom( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setProperty( "name", "ArgZoom" );
    ArgZoomLayout = new QVBoxLayout( this, 11, 6, "ArgZoomLayout"); 

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout2->addWidget( textLabel1 );

    ZoomBox = new KLineEdit( this, "ZoomBox" );
    tqlayout2->addWidget( ZoomBox );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer3 );
    ArgZoomLayout->addLayout( tqlayout2 );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ArgZoomLayout->addItem( spacer4 );
    languageChange();
    resize( QSize(295, 69).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArgZoom::~ArgZoom()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArgZoom::languageChange()
{
    textLabel1->setProperty( "text", tr2i18n( "Zoom level:" ) );
    QToolTip::add( ZoomBox, tr2i18n( "New Zoom level" ) );
    QWhatsThis::add( ZoomBox, tr2i18n( "Set the Zoom level for the display.  You can incrementally change this value using \"ZoomIn\" and \"ZoomOut\".  \n"
"\n"
"The Zoom level specifies the number of pixels which span one radian of arc.  Reasonable values should be between 300 and 10,000,000.\n"
"" ) );
}

#include "argzoom.moc"
