#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './obslistwizardui.ui'
**
** Created: 2012-10-09T21:50:40
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "obslistwizardui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qwidgetstack.h>
#include <klistbox.h>
#include <kpushbutton.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "libkdeedu/extdate/extdatetimeedit.h"
#include "dmsbox.h"
#include "magnitudespinbox.h"

/*
 *  Constructs a ObsListWizardUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ObsListWizardUI::ObsListWizardUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ObsListWizardUI" );
    ObsListWizardUILayout = new QVBoxLayout( this, 11, 6, "ObsListWizardUILayout"); 

    tqlayout79 = new QHBoxLayout( 0, 0, 6, "tqlayout79"); 

    tqlayout55 = new QVBoxLayout( 0, 0, 6, "tqlayout55"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout55->addWidget( textLabel1 );

    FilterList = new KListView( this, "FilterList" );
    FilterList->addColumn( tr2i18n( "Filter" ) );
    FilterList->setFullWidth( TRUE );
    FilterList->setItemsMovable( FALSE );
    tqlayout55->addWidget( FilterList );
    tqlayout79->addLayout( tqlayout55 );

    tqlayout12 = new QVBoxLayout( 0, 0, 6, "tqlayout12"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    textLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );
    tqlayout12->addWidget( textLabel1_2 );

    FilterStack = new QWidgetStack( this, "FilterStack" );

    ObjTypePage = new QWidget( FilterStack, "ObjTypePage" );
    ObjTypePageLayout = new QVBoxLayout( ObjTypePage, 11, 6, "ObjTypePageLayout"); 

    textLabel2 = new QLabel( ObjTypePage, "textLabel2" );
    ObjTypePageLayout->addWidget( textLabel2 );

    tqlayout13 = new QHBoxLayout( 0, 0, 6, "tqlayout13"); 

    TypeList = new KListBox( ObjTypePage, "TypeList" );
    TypeList->setSelectionMode( KListBox::Multi );
    tqlayout13->addWidget( TypeList );

    tqlayout12_2 = new QVBoxLayout( 0, 0, 6, "tqlayout12_2"); 

    AllButton = new KPushButton( ObjTypePage, "AllButton" );
    tqlayout12_2->addWidget( AllButton );

    NoneButton = new KPushButton( ObjTypePage, "NoneButton" );
    tqlayout12_2->addWidget( NoneButton );

    DeepSkyButton = new KPushButton( ObjTypePage, "DeepSkyButton" );
    tqlayout12_2->addWidget( DeepSkyButton );

    SolarSystemButton = new KPushButton( ObjTypePage, "SolarSystemButton" );
    tqlayout12_2->addWidget( SolarSystemButton );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout12_2->addItem( spacer2 );
    tqlayout13->addLayout( tqlayout12_2 );
    ObjTypePageLayout->addLayout( tqlayout13 );
    FilterStack->addWidget( ObjTypePage, 0 );

    ConstellationPage = new QWidget( FilterStack, "ConstellationPage" );
    ConstellationPageLayout = new QVBoxLayout( ConstellationPage, 11, 6, "ConstellationPageLayout"); 

    SelectByConstellation = new QCheckBox( ConstellationPage, "SelectByConstellation" );
    ConstellationPageLayout->addWidget( SelectByConstellation );

    ConstellationList = new KListBox( ConstellationPage, "ConstellationList" );
    ConstellationList->setEnabled( FALSE );
    ConstellationList->setSelectionMode( KListBox::Multi );
    ConstellationPageLayout->addWidget( ConstellationList );
    FilterStack->addWidget( ConstellationPage, 1 );

    RectRegionPage = new QWidget( FilterStack, "RectRegionPage" );
    RectRegionPageLayout = new QVBoxLayout( RectRegionPage, 11, 6, "RectRegionPageLayout"); 

    SelectByRect = new QCheckBox( RectRegionPage, "SelectByRect" );
    RectRegionPageLayout->addWidget( SelectByRect );

    tqlayout48 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout48"); 

    textLabel4_2_2 = new QLabel( RectRegionPage, "textLabel4_2_2" );

    tqlayout48->addWidget( textLabel4_2_2, 1, 2 );

    RAMin = new dmsBox( RectRegionPage, "RAMin" );
    RAMin->setEnabled( FALSE );
    RAMin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, RAMin->sizePolicy().hasHeightForWidth() ) );
    RAMin->setTqminimumSize( QSize( 0, 20 ) );

    tqlayout48->addWidget( RAMin, 0, 1 );

    RAMax = new dmsBox( RectRegionPage, "RAMax" );
    RAMax->setEnabled( FALSE );
    RAMax->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, RAMax->sizePolicy().hasHeightForWidth() ) );
    RAMax->setTqminimumSize( QSize( 0, 20 ) );

    tqlayout48->addWidget( RAMax, 0, 3 );

    textLabel4 = new QLabel( RectRegionPage, "textLabel4" );
    textLabel4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, textLabel4->sizePolicy().hasHeightForWidth() ) );

    tqlayout48->addWidget( textLabel4, 0, 0 );

    textLabel4_3 = new QLabel( RectRegionPage, "textLabel4_3" );
    textLabel4_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, textLabel4_3->sizePolicy().hasHeightForWidth() ) );

    tqlayout48->addWidget( textLabel4_3, 1, 0 );

    textLabel4_2 = new QLabel( RectRegionPage, "textLabel4_2" );

    tqlayout48->addWidget( textLabel4_2, 0, 2 );

    DecMin = new dmsBox( RectRegionPage, "DecMin" );
    DecMin->setEnabled( FALSE );
    DecMin->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, DecMin->sizePolicy().hasHeightForWidth() ) );
    DecMin->setTqminimumSize( QSize( 0, 20 ) );

    tqlayout48->addWidget( DecMin, 1, 1 );

    DecMax = new dmsBox( RectRegionPage, "DecMax" );
    DecMax->setEnabled( FALSE );
    DecMax->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, DecMax->sizePolicy().hasHeightForWidth() ) );
    DecMax->setTqminimumSize( QSize( 0, 20 ) );

    tqlayout48->addWidget( DecMax, 1, 3 );
    RectRegionPageLayout->addLayout( tqlayout48 );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    RectRegionPageLayout->addItem( spacer1 );
    FilterStack->addWidget( RectRegionPage, 2 );

    CircRegionPage = new QWidget( FilterStack, "CircRegionPage" );
    CircRegionPageLayout = new QVBoxLayout( CircRegionPage, 11, 6, "CircRegionPageLayout"); 

    SelectByCirc = new QCheckBox( CircRegionPage, "SelectByCirc" );
    CircRegionPageLayout->addWidget( SelectByCirc );

    tqlayout9 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout9"); 

    textLabel1_4 = new QLabel( CircRegionPage, "textLabel1_4" );

    tqlayout9->addWidget( textLabel1_4, 0, 0 );

    textLabel2_3 = new QLabel( CircRegionPage, "textLabel2_3" );

    tqlayout9->addWidget( textLabel2_3, 1, 0 );

    textLabel3_3 = new QLabel( CircRegionPage, "textLabel3_3" );

    tqlayout9->addWidget( textLabel3_3, 2, 0 );

    RA = new dmsBox( CircRegionPage, "RA" );
    RA->setEnabled( FALSE );
    RA->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, RA->sizePolicy().hasHeightForWidth() ) );
    RA->setTqminimumSize( QSize( 0, 20 ) );

    tqlayout9->addWidget( RA, 0, 1 );

    Dec = new dmsBox( CircRegionPage, "Dec" );
    Dec->setEnabled( FALSE );
    Dec->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, Dec->sizePolicy().hasHeightForWidth() ) );
    Dec->setTqminimumSize( QSize( 0, 20 ) );

    tqlayout9->addWidget( Dec, 1, 1 );

    Radius = new KDoubleNumInput( CircRegionPage, "Radius" );
    Radius->setEnabled( FALSE );
    Radius->setValue( 1 );
    Radius->setMaxValue( 180 );

    tqlayout9->addWidget( Radius, 2, 1 );
    CircRegionPageLayout->addLayout( tqlayout9 );
    spacer9 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CircRegionPageLayout->addItem( spacer9 );
    FilterStack->addWidget( CircRegionPage, 3 );

    ObsDatePage = new QWidget( FilterStack, "ObsDatePage" );
    ObsDatePageLayout = new QVBoxLayout( ObsDatePage, 11, 6, "ObsDatePageLayout"); 

    SelectByDate = new QCheckBox( ObsDatePage, "SelectByDate" );
    ObsDatePageLayout->addWidget( SelectByDate );

    tqlayout6 = new QHBoxLayout( 0, 0, 6, "tqlayout6"); 

    Date = new ExtDateEdit( ObsDatePage, "Date" );
    Date->setTqminimumSize( QSize( 160, 0 ) );
    tqlayout6->addWidget( Date );
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout6->addItem( spacer6 );
    ObsDatePageLayout->addLayout( tqlayout6 );

    tqlayout4 = new QHBoxLayout( 0, 0, 6, "tqlayout4"); 

    textLabel2_2 = new QLabel( ObsDatePage, "textLabel2_2" );
    textLabel2_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, textLabel2_2->sizePolicy().hasHeightForWidth() ) );
    tqlayout4->addWidget( textLabel2_2 );

    LocationLabel = new QLabel( ObsDatePage, "LocationLabel" );
    QFont LocationLabel_font(  LocationLabel->font() );
    LocationLabel_font.setBold( TRUE );
    LocationLabel->setFont( LocationLabel_font ); 
    tqlayout4->addWidget( LocationLabel );
    ObsDatePageLayout->addLayout( tqlayout4 );

    tqlayout5_2 = new QHBoxLayout( 0, 0, 6, "tqlayout5_2"); 
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5_2->addItem( spacer3 );

    LocationButton = new KPushButton( ObsDatePage, "LocationButton" );
    LocationButton->setEnabled( FALSE );
    tqlayout5_2->addWidget( LocationButton );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5_2->addItem( spacer4 );
    ObsDatePageLayout->addLayout( tqlayout5_2 );
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ObsDatePageLayout->addItem( spacer5 );
    FilterStack->addWidget( ObsDatePage, 4 );

    MagLimitPage = new QWidget( FilterStack, "MagLimitPage" );
    MagLimitPageLayout = new QVBoxLayout( MagLimitPage, 11, 6, "MagLimitPageLayout"); 

    SelectByMag = new QCheckBox( MagLimitPage, "SelectByMag" );
    MagLimitPageLayout->addWidget( SelectByMag );

    tqlayout36 = new QHBoxLayout( 0, 0, 6, "tqlayout36"); 

    Mag = new MagnitudeSpinBox( MagLimitPage, "Mag" );
    Mag->setEnabled( FALSE );
    tqlayout36->addWidget( Mag );

    textLabel4_4 = new QLabel( MagLimitPage, "textLabel4_4" );
    tqlayout36->addWidget( textLabel4_4 );
    spacer8 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout36->addItem( spacer8 );
    MagLimitPageLayout->addLayout( tqlayout36 );

    ExcludeNoMag = new QCheckBox( MagLimitPage, "ExcludeNoMag" );
    ExcludeNoMag->setEnabled( FALSE );
    ExcludeNoMag->setChecked( TRUE );
    MagLimitPageLayout->addWidget( ExcludeNoMag );
    spacer7 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    MagLimitPageLayout->addItem( spacer7 );
    FilterStack->addWidget( MagLimitPage, 5 );

    RegionPage = new QWidget( FilterStack, "RegionPage" );
    RegionPageLayout = new QVBoxLayout( RegionPage, 11, 6, "RegionPageLayout"); 

    textLabel3 = new QLabel( RegionPage, "textLabel3" );
    textLabel3->setTqalignment( int( QLabel::AlignTop ) );
    RegionPageLayout->addWidget( textLabel3 );
    FilterStack->addWidget( RegionPage, 6 );
    tqlayout12->addWidget( FilterStack );
    tqlayout79->addLayout( tqlayout12 );
    ObsListWizardUILayout->addLayout( tqlayout79 );

    CountLabel = new QLabel( this, "CountLabel" );
    CountLabel->setFrameShape( QLabel::Box );
    CountLabel->setFrameShadow( QLabel::Sunken );
    ObsListWizardUILayout->addWidget( CountLabel );
    languageChange();
    resize( QSize(763, 403).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ObsListWizardUI::~ObsListWizardUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ObsListWizardUI::languageChange()
{
    setCaption( tr2i18n( "Observing List Wizard" ) );
    textLabel1->setText( tr2i18n( "Selection filters:" ) );
    FilterList->header()->setLabel( 0, tr2i18n( "Filter" ) );
    FilterList->clear();
    QListViewItem * item = new QListViewItem( FilterList, 0 );
    item->setText( 0, tr2i18n( "1. Object type(s)" ) );

    QListViewItem * item_2 = new QListViewItem( FilterList, item );
    item_2->setOpen( TRUE );
    item = new QListViewItem( item_2, item );
    item->setText( 0, tr2i18n( "a. In constellation(s)" ) );
    item_2->setOpen( TRUE );
    item = new QListViewItem( item_2, item );
    item->setText( 0, tr2i18n( "b. Rectangular" ) );
    item_2->setOpen( TRUE );
    item = new QListViewItem( item_2, item );
    item->setText( 0, tr2i18n( "c. Circular" ) );
    item_2->setText( 0, tr2i18n( "2. Region" ) );

    item = new QListViewItem( FilterList, item_2 );
    item->setText( 0, tr2i18n( "3. Magnitude limit" ) );

    textLabel1_2->setText( tr2i18n( "Filter arguments:" ) );
    textLabel2->setText( tr2i18n( "Select object types:" ) );
    TypeList->clear();
    TypeList->insertItem( tr2i18n( "Stars" ) );
    TypeList->insertItem( tr2i18n( "Sun, Moon, Planets" ) );
    TypeList->insertItem( tr2i18n( "Comets" ) );
    TypeList->insertItem( tr2i18n( "Asteroids" ) );
    TypeList->insertItem( tr2i18n( "Open Clusters" ) );
    TypeList->insertItem( tr2i18n( "Globular Clusters" ) );
    TypeList->insertItem( tr2i18n( "Gaseous Nebulae" ) );
    TypeList->insertItem( tr2i18n( "Planetary Nebulae" ) );
    TypeList->insertItem( tr2i18n( "Galaxies" ) );
    AllButton->setText( tr2i18n( "All" ) );
    NoneButton->setText( tr2i18n( "&None" ) );
    DeepSkyButton->setText( tr2i18n( "Deep-Sk&y" ) );
    SolarSystemButton->setText( tr2i18n( "Sol&ar System" ) );
    SelectByConstellation->setText( tr2i18n( "Select objects in constell&ation(s):" ) );
    SelectByRect->setText( tr2i18n( "Select objects in region:" ) );
    SelectByRect->setAccel( QKeySequence( QString::null ) );
    textLabel4_2_2->setText( tr2i18n( "to" ) );
    textLabel4->setText( tr2i18n( "RA:" ) );
    textLabel4_3->setText( tr2i18n( "Dec:" ) );
    textLabel4_2->setText( tr2i18n( "to" ) );
    SelectByCirc->setText( tr2i18n( "Select objects within circle:" ) );
    SelectByCirc->setAccel( QKeySequence( QString::null ) );
    textLabel1_4->setText( tr2i18n( "Center RA:" ) );
    textLabel2_3->setText( tr2i18n( "Center Dec:" ) );
    textLabel3_3->setText( tr2i18n( "Radius (degrees):" ) );
    SelectByDate->setText( tr2i18n( "Select objects observ&able on:" ) );
    textLabel2_2->setText( tr2i18n( "from" ) );
    LocationLabel->setText( tr2i18n( "Tucson, Arizona, USA" ) );
    LocationButton->setText( tr2i18n( "Cha&nge Location" ) );
    SelectByMag->setText( tr2i18n( "Select objects &brighter than:" ) );
    textLabel4_4->setText( tr2i18n( "mag" ) );
    ExcludeNoMag->setText( tr2i18n( "Exclude objects which\n"
"have &no magnitude" ) );
    textLabel3->setText( tr2i18n( "There are three ways to select objects from\n"
"a specific region on the sky:\n"
"\n"
"a. select objects in a constellation\n"
"b. select objects in a rectangular region\n"
"c. select objects in a circular region\n"
"\n"
"Choose one of these sub-items to\n"
"select from a region on the sky." ) );
    CountLabel->setText( tr2i18n( "Current selection: 100 objects" ) );
}

#include "obslistwizardui.moc"
