#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './scriptnamedialog.ui'
**
** Created: 2012-10-09T21:50:29
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "scriptnamedialog.h"

#include <qvariant.h>
#include <klineedit.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ScriptNameDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ScriptNameDialog::ScriptNameDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setProperty( "name", "ScriptNameDialog" );
    setProperty( "sizeGripEnabled", QVariant( TRUE, 0 ) );
    ScriptNameDialogLayout = new QVBoxLayout( this, 11, 6, "ScriptNameDialogLayout"); 

    tqlayout3 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout3"); 

    ScriptName = new KLineEdit( this, "ScriptName" );

    tqlayout3->addWidget( ScriptName, 0, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setProperty( "frameShape", "NoFrame" );
    textLabel1->setProperty( "frameShadow", "Plain" );

    tqlayout3->addWidget( textLabel1, 0, 0 );

    textLabel2 = new QLabel( this, "textLabel2" );

    tqlayout3->addWidget( textLabel2, 1, 0 );

    AuthorName = new KLineEdit( this, "AuthorName" );

    tqlayout3->addWidget( AuthorName, 1, 1 );
    ScriptNameDialogLayout->addLayout( tqlayout3 );

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 
    Horizontal_Spacing2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( Horizontal_Spacing2 );

    OKButton = new QPushButton( this, "OKButton" );
    OKButton->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    tqlayout2->addWidget( OKButton );

    CancelButton = new QPushButton( this, "CancelButton" );
    CancelButton->setProperty( "enabled", QVariant( FALSE, 0 ) );
    CancelButton->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    CancelButton->setProperty( "default", QVariant( TRUE, 0 ) );
    tqlayout2->addWidget( CancelButton );
    ScriptNameDialogLayout->addLayout( tqlayout2 );
    languageChange();
    resize( QSize(403, 143).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( OKButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( CancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ScriptNameDialog::~ScriptNameDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ScriptNameDialog::languageChange()
{
    setProperty( "caption", tr2i18n( "Enter Name for Script" ) );
    QToolTip::add( ScriptName, tr2i18n( "Enter name for the script" ) );
    QWhatsThis::add( ScriptName, tr2i18n( "Enter a name for the script.  This is not the file name, just a short descriptive line of text." ) );
    textLabel1->setProperty( "text", tr2i18n( "Script name:" ) );
    textLabel2->setProperty( "text", tr2i18n( "Author:" ) );
    QToolTip::add( AuthorName, tr2i18n( "Enter author's name" ) );
    OKButton->setProperty( "text", tr2i18n( "&OK" ) );
    CancelButton->setProperty( "text", tr2i18n( "&Cancel" ) );
    QWhatsThis::add( CancelButton, tr2i18n( "Press Ok to accept the script name and author name, and open the Save File Dialog." ) );
}

#include "scriptnamedialog.moc"
